commit b9d0e13899c078b41cf5340e1a77b5157a463495
Author: Richard Hughes <richard@hughsie.com>
Date:   2011-06-12

    Fix a critial warning when connecting and disconnecting outputs

    We can't treat these like objects at all, so lets use straightforward
    pointers.

M	libgnome-desktop/gnome-rr.c

commit fbb353e720e92e35ea583b2a9049d535c5975ed7
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2011-06-11

    Updated Hungarian translation

M	desktop-docs/fdl/hu/hu.po

commit 3d2dc6afbb2020b070e8d332276207a9e59f3dd8
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2011-06-11

    Updated Hungarian translation

M	desktop-docs/gpl/hu/hu.po

commit cecfa24a9c55b8ada0d9536243b2f2c680583321
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2011-06-11

    Updated Hungarian translation

M	desktop-docs/lgpl/hu/hu.po

commit 540585631d4e18f4b90fe3a3869d56f6667fcb18
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-06-07

    Emit ::output-connected and ::output-disconnected when screen outputs
    come and go

    If you're using GnomeRRScreen, it's likely you care about outputs,
    rather than
    the screen itself. These signals should be useful to the
    gnome-settings-daemon
    xrandr plugin too.

M	libgnome-desktop/gnome-rr.c
M	libgnome-desktop/gnome-rr.h

commit d9166b77a5cd03d7d846e9856e9fe9a23dc08a3c
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-06-07

    Add a size return value to gnome_rr_output_get_edid_data()

    It's wrong to assume that the EDID size is always 128 bytes if
    there are
    extension blocks.

    This functionality is required if we want to parse the EDID in any
    safe way.

M	libgnome-desktop/gnome-rr-config.c
M	libgnome-desktop/gnome-rr.c
M	libgnome-desktop/gnome-rr.h

commit cbfca51c64971c6dcc53f3bfdb12eb4d214c1170
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	2011-05-29

    [l10n]Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit 8e1bc2df28cdecd044e79d4884ce6945b84c0d63
Author: Colin Walters <walters@verbum.org>
Date:	2011-05-25

    GnomeDesktopThumbnail: Use GOnce for thread safety

    In gnome-shell we got a crash likely caused by multiple threads racing
    on initializing this hash table; see
    https://bugzilla.redhat.com/show_bug.cgi?id=688852

    https://bugzilla.gnome.org/show_bug.cgi?id=651080

M	libgnome-desktop/gnome-desktop-thumbnail.c

commit 1d8eaccae70e067f2c43dbad5aae960845fde31c
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	2011-05-19

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 02b92dbae0037ddfb31b8f50beb3079fdf6f1d53
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:	2011-05-14

    Updated Esperanto translation

M	po/eo.po

commit 738c554d816995dd40c08f9253a40df9412731e9
Author: Daniel Martinez Cucalon <dmartinez@src.gnome.org>
Date:	2011-05-12

    Updated Aragonese translation

M	po/an.po

commit 34335b774d839e478e73db43dc8ea5c88f6eb227
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-05-09

    release: post-release bump to 3.1.2

M	configure.ac

commit b3b6a4a0e9eebdb8337a678fa4aa3637b06516ac
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-05-09

    release: 3.1.1

M	NEWS
M	configure.ac

commit dbeb3b470ff14165b04045320e724684fbb7199b
Author: Bastien Nocera <hadess@hadess.net>
Date:	2011-05-07

    build: Bump version number

    So that the new API can checked for properly.

M	configure.ac

commit 92fd42992bfdbf549e3777a6576bfed7b9f0c6db
Author: Daniel Martinez Cucalon <dmartinez@src.gnome.org>
Date:	2011-05-07

    Updated Aragonese translation

M	po/an.po

commit b3c809e0ec611db269dd38fad20649953713d030
Author: Robert Ancell <robert.ancell@canonical.com>
Date:	2011-05-02

    gnome-rr-labeler: Add some documentation to keep vuntz happy

M	libgnome-desktop/gnome-rr-labeler.c

commit f08da5c0e4b042508a0735bff841361f75463817
Author: Robert Ancell <robert.ancell@canonical.com>
Date:	2011-05-02

    gnome-rr-labeler: Add ability to show and hide the monitor labels
    (to make the display properties capplet able to hide them when it
    loses focus)

    https://bugzilla.gnome.org/show_bug.cgi?id=589562

M	docs/reference/gnome-desktop3/gnome-desktop3-sections.txt
M	libgnome-desktop/gnome-rr-labeler.c
M	libgnome-desktop/gnome-rr-labeler.h

commit aa93854f2ba6b0f72f1bdff9699b5724a72c89c9
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2011-04-30

    Don't fall over if RANDR is missing

    When RANDR is not present, the screen object never gets an info,
    and since screen_info_free asserts, we must not call it
    unconditionally
    in finalize.
    This fixes https://bugzilla.gnome.org/show_bug.cgi?id=649053

M	libgnome-desktop/gnome-rr.c

commit 636a9772bf87aa81d455c93939706984145e9033
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-04-26

    release: post-release bump to 3.0.2

M	configure.ac

commit 2d222001144d9d443d74962219837c002d78385f
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-04-26

    release: 3.0.1

M	NEWS
M	configure.ac

commit ad9dd52669a23d87c80065843f6419b2d3ec553c
Author: Anousak Souphavanh <anousak@gmail.com>
Date:	2011-04-19

    l10n: Updated Lao translation for gnome-desktop

M	po/lo.po

commit 272f0de661da8f14b95609914c41b10af8339a91
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	2011-04-05

    Added Brazilian Portuguese translation

A	desktop-docs/fdl/pt_BR/pt_BR.po

commit 5e3f11d09a2d39883fa594af2532c7a047125e92
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-04-04

    release: post-release bump to 3.0.1

M	configure.ac

commit 2599452204a4a75fa0226935e9a448bde23a0a81
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-04-04

    release: 3.0.0

M	NEWS
M	configure.ac

commit a8b812300ee8cca8dac2443c640c7f48608bbc51
Author: Jamil Ahmed <itsjamil@gmail.com>
Date:	2011-04-05

    Updated Bengali translation

M	po/bn.po

commit b8849c08adb1ba1b55d1a3511dd9eefd00504dc0
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2011-04-04

    Avoid a possible crash

    When the spice client goes to fullscreen it (temporarily) turns
    all xrandr
    outputs off (for some reason). This causes gnome-settings-daemon to
    crash (and
    respawn and reset the old screen size) due to a NULL deref in
    libgnome-desktop.

    Patch by Alex Larsson
    https://bugzilla.gnome.org/show_bug.cgi?id=646714

M	libgnome-desktop/gnome-rr-config.c

commit e636ef839529aeabec126bbf9b5f2d1ed9385fe4
Author: Jamil Ahmed <itsjamil@gmail.com>
Date:	2011-04-04

    Updated Bengali translation

M	po/bn.po

commit 978fc3d24d9d89dbbc3f9efb71b105d15cd6a99d
Author: Gil Forcada <gforcada@gnome.org>
Date:	2011-04-02

    [l10n]Updated Catalan translation

M	desktop-docs/fdl/ca/ca.po

commit 251efed24323d5b3d729d55a1b61076cf36616d2
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:	2011-04-02

    Updated Tamil translation

M	po/ta.po

commit a01cc3cbeede82cc234875a5d4114d013467f6d3
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:	2011-04-02

    Updated Tamil translation

M	po/ta.po

commit 27fb2967f620cbc82da57b9b5eea7700218b6620
Author: Federico Mena Quintero <federico@gnome.org>
Date:	2011-03-29

    bgo#643940 - Include Xlib.h so we can build when RANDR is not
    available

    The RANDR headers include the Xlib paraphernalia, but we don't
    include those
    headers when gnome-desktop is configured to not use RANDR.	So,
    instead we
    include Xlib.h so that we'll have defined types for Display,
    Screen, etc.

    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

M	libgnome-desktop/gnome-rr-private.h

commit ebe98c14a9346dedf6990f16d369c8953d566a5d
Author: Hermien Bos <hermienbos@gmail.com>
Date:	2011-03-28

    Update translation for Afrikaans (af)

M	po/af.po

commit dfac52129a2b9077790d8ed177bcea8c1a73f934
Author: Abduxukur Abdurixit <abdurixit@gmail.com>
Date:	2011-03-27

    Added UG translation

M	po/ug.po

commit 2f05cc2367065dceaabd6c89aeee817ccc5a8458
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-03-24

    release: post-release bump to 3.0.0

M	configure.ac

commit 71e264effbd4c67d8108fb65b4a74823766e9bf4
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-03-24

    release: update for 2.91.93

M	NEWS

commit 5f06798ca90166e7cc909e28e5cad07035faa855
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-03-24

    release: pre-release drop to 2.91.93

M	configure.ac

commit bd2b5fd8bb4c8088987ee0664fcc7a7452a795db
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-03-24

    Revert "gnome-bg: force property update when doing new crossfade
    frame"

    This was actually committed by accident, and it triggers crashes in
    Xorg every time the background is set.

    See
    https://mail.gnome.org/archives/release-team/2011-March/msg00244.html
    for more details.

    This reverts commit e36d931ca2aad168427e22d23f9013316854370e.

M	libgnome-desktop/gnome-bg-crossfade.c

commit 10cd1a448be029de6acf2e25c998ece3990c4d0d
Author: Frédéric Péters <fpeters@0d.be>
Date:	2011-03-22

    release: post-release bump to 3.0.0

M	configure.ac

commit 34e6ad62658bc4a0ed6d6fd61c907744e4d802d3
Author: Frédéric Péters <fpeters@0d.be>
Date:	2011-03-22

    release: 2.91.92

M	NEWS

commit 500b8f078df4816fbe2215335f1d42ff500d905c
Author: Amitakhya Phukan <amitakhya@svn.gnome.org>
Date:	2011-03-21

    Updated Assamese translations

M	po/as.po

commit 74da91231a8f164a21797010d0e72264b2ddc43c
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2011-03-16

    all: fix build warnings with GCC 4.6

M	libgnome-desktop/edid-parse.c
M	libgnome-desktop/gnome-bg.c

commit e36d931ca2aad168427e22d23f9013316854370e
Author: Ray Strode <rstrode@redhat.com>
Date:	2011-02-07

    gnome-bg: force property update when doing new crossfade frame

    gnome-shell needs to get notified about animation updates.

    This commit frobs the property to wake mutter up.

    https://bugzilla.gnome.org/show_bug.cgi?id=641526

M	libgnome-desktop/gnome-bg-crossfade.c

commit 091f5ac8d75fee339dd3349fc688276cd228c594
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:	2011-03-11

    Updated Russian translation

M	po/ru.po

commit 8ac654c7f6905d7f86482c15a269e1bf2c1246f7
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:	2011-03-09

    Updated Latvian translation.

M	po/lv.po

commit 7f3e3d5200618d66ebba0654517affc012cef875
Author: Bastien Nocera <hadess@hadess.net>
Date:	2011-03-09

    gnome-bg: Use picture-uri GSettings key

    https://bugzilla.gnome.org/show_bug.cgi?id=633983

M	libgnome-desktop/gnome-bg.c

commit f89d8a582abbb79898a93d26a8c0f52f74b20bd2
Author: Federico Mena Quintero <federico@gnome.org>
Date:	2011-03-07

    bgo#643940 - Don't build some RANDR code if RANDR is not available

    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

M	libgnome-desktop/gnome-rr.c

commit c8eefe95713bb5f7ad4b14a36df71914262c1e5f
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-07

    release: post-release bump to 2.91.92

M	configure.ac

commit 6a6ea339c011640ad77d55f4971842f7e02db61c
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-03-07

    release: 2.91.91

M	NEWS
M	configure.ac

commit ef79ade712f6bd7e5f64ae4eef74075d762f8f4b
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:	2011-03-05

    Updated Latvian translation.

M	po/lv.po

commit 0cc4c35cbd94260beda1c247a4a59ee6860b185e
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-03-04

    configure: Bump GTK+ requirements to 3.0

M	configure.ac

commit 446e8ffcf16ccf909f45b293532f50996b0dd728
Author: Benjamin Otte <otte@redhat.com>
Date:	2011-03-03

    introspection: Fix c-includes to actually include headers

M	libgnome-desktop/Makefile.am

commit 07f7e80d6317400cbf40a7c062be0c1c353f3289
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	2011-02-27

    Uploaded Ukranian

M	po/uk.po

commit 290f26db749a9923666e3fb09e413a068e10e045
Author: Yinghua Wang <wantinghard@gmail.com>
Date:	2011-02-24

    Update Simplified Chinese lgpl translation.

M	desktop-docs/lgpl/zh_CN/zh_CN.po

commit 5c298da42b8e1de1e1f0dc97497b668502f56b80
Author: Yinghua Wang <wantinghard@gmail.com>
Date:	2011-02-24

    Update Simplified Chinese translation.

M	desktop-docs/gpl/zh_CN/zh_CN.po

commit 202d608b5bef675f80b1ec04ab468034602ed6c6
Author: Zhang Miao <mymzhang@gmail.com>
Date:	2011-02-24

    Add Simplified Chinese fdl translation.

M	desktop-docs/fdl/Makefile.am
A	desktop-docs/fdl/zh_CN/zh_CN.po

commit 45b31b41172397483fb147fb6058bc359a4aac0d
Author: Luca Ferretti <lferrett@gnome.org>
Date:	2011-02-23

    Updated Italian translation

M	po/it.po

commit 3df6495daa7613e78d5bd874bf47fc97e4eb5397
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-21

    release: post-release bump to 2.91.91

M	configure.ac

commit c597b891d3e2a0a5d6fb8beb4c6c7b625f0d4ef6
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-21

    release: 2.91.90

M	NEWS
M	configure.ac

commit 41b92660ec4d449e244544ee60dbba69eadc59c8
Author: Runa Bhattacharjee <runab@redhat.com>
Date:	2011-02-18

    Updated Bengali India Translation

M	po/bn_IN.po

commit 1da770b18c8d11ed990405b87a2583874acde279
Author: Sweta Kothari <swkothar@redhat.com>
Date:	2011-02-16

    Updated Gujarati Translations

M	po/gu.po

commit 480107332ffe1647e10c1150283d8166afa3b669
Author: Xandru Armesto <xandru@softastur.org>
Date:	2011-02-15

    Updated Asturian translation

M	po/ast.po

commit b4b3fbe614c245e5e2cc4ca431d0f5310eca6ed1
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2011-02-09

    Properly get the workarea for positioning the labels

    This fixes https://bugzilla.gnome.org/show_bug.cgi?id=641996

M	libgnome-desktop/gnome-rr-labeler.c

commit adf18a2cf78c26a33c7a00210fc29020e935e0c1
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-09

    gnome-bg: Do not add timeout for one-slide slideshows

    If a slideshow is made of only one slide, then there's no
    animation. So
    we just override the duration of the slide to G_MAXUINT, and we do not
    add timeouts for such durations.

    https://bugzilla.gnome.org/show_bug.cgi?id=630498

M	libgnome-desktop/gnome-bg.c

commit 43e13d709d8d35b3484e8b2aaf126f1d91fae7ad
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-08

    gnome-bg: Fix background cache

    We were caching thumbnails instead of caching the real background :-)

M	libgnome-desktop/gnome-bg.c

commit 617b4a85af70e238a16388aac8766a87d78839c6
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-04

    build: Add ${ACLOCAL_FLAGS} to ACLOCAL_AMFLAGS

    This is used by gnome-autogen.sh, and we need it when aclocal.m4 is
    to be rebuilt by make, to avoid losing some aclocal paths.

    Also, don't set ACLOCAL_AMFLAGS in configure.

M	Makefile.am
M	configure.ac

commit 8ceca629c2db2c8da0c7d8e391a68367c6c705d9
Author: Bastien Nocera <hadess@hadess.net>
Date:	2011-02-04

    Fix refcount issues for ->config

    If the GnomeRRLabeler object is going to be unref'ing the
    config object, then it better keeps its own reference to it, otherwise
    it could cause problems when destroyed and re-created.

M	libgnome-desktop/gnome-rr-labeler.c

commit 4eea7eca0d081d01f9ffeb34983636f01cc1727e
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-02

    release: post-release bump to 2.91.90

M	configure.ac

commit fbcee5bba5591908b2b61a7105fbfcc90860424d
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-02

    release: 2.91.6.1

M	NEWS
M	configure.ac

commit 64c6695e37bbd4dba46c7e10077454b9a2c3e9cf
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-02-02

    build: Do not fetch foundation-members.list in autogen.sh

    We don't use the file anymore.

M	autogen.sh

commit 26263aa2e7ddb8038b60ee593be6f6ac94cc20a0
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2011-01-27

    Updated Basque language

M	po/eu.po

commit 6d802297bb0dd27791245428e39159efabcd6b06
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2011-01-27

    QA of Galician translations

M	po/gl.po

commit a2c837a301a0a0a6d1b94b329af16359c2c701e6
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-01-14

    build: Do not pretend we need gconf for introspection

M	libgnome-desktop/Makefile.am

commit 78a40a6430bc758fa0bf84d8fe4eda682d37328b
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2011-01-13

    Updated Slovenian translation

M	desktop-docs/gpl/sl/sl.po

commit 7e11a842b7d4145482da8c5380f782caa066fefe
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2011-01-12

    Updated Arabic translation

M	po/ar.po

commit c6bc67fdce3c9628e1c1468b13d075db447793be
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2011-01-11

    bump version

M	configure.ac

commit 1637a8b52092387893ca2a024699d3d2b735b1f8
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2011-01-11

    Updates

M	NEWS

commit 11880c8bfd7b3f1edde58b8e83e46ebd59a44311
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2011-01-11

    Fix two problems that causes g-s-d to crash at start

    We need to ref outputs when we are copying them in the parser,
    and we need to avoid confusing i and j, even if they both have
    dots.

M	libgnome-desktop/gnome-rr-config.c

commit 05dcc6e0b1b2dd81e94d15e2578663a674ada879
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-01-11

    Revert "build: Remove "GNOME Distributor" from configure output"

    gnome-version.xml is back.

M	configure.ac

commit 3d5bacf61fd935ec1aa0c7a515d1778b3ca31f4d
Author: William Jon McCann <jmccann@redhat.com>
Date:	2011-01-10

    Add back gnome-version.xml

M	Makefile.am
M	configure.ac
A	gnome-version.xml.in.in

commit b02a99fbfcee214d7108e70e3d3e9bae1a24fb9a
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2011-01-10

    Bump version

M	configure.ac

commit c3b75592152efb9dd934864ec7831233bcc2b78d
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2011-01-10

    Update NEWS

M	NEWS

commit 3153d919f6021d3bae68721b78bfdbbfd0860135
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2011-01-08

    gnome-desktop-thumbnail: Fix thumbnailer dirs

    I made a mistake whith the array index when added user data dir to the
    list of thumbnailer dirs.

M	libgnome-desktop/gnome-desktop-thumbnail.c

commit 3036c247dfd8c618671a010c8d9ddd4141062bfb
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2010-12-30

    gnome-desktop-thumbnail: Don't use GConf to handle external
    thumbnailers

    Thumbnailers are now registered using key files, similar to .desktop
    files. Bug #638172.

M	configure.ac
M	libgnome-desktop/gnome-desktop-thumbnail.c

commit 707a29c3c11d710fc093e29d2ce15aec3d0261c9
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-01-07

    build: Remove "GNOME Distributor" from configure output

    The option is gone.

M	configure.ac

commit c67f7efbec78d93517916137f63fe5f487e1f77b
Merge: ab0ff1d 46d48ab
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:	2011-01-06

    Merge branch 'gobject-gnomerr'

    Conflicts:
	libgnome-desktop/gnome-rr.c

commit 46d48ab6ec256498d0dd0a5c97c0388381971cbf
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:	2011-01-06

    GnomeRROutputInfo: rename boolean accessors

    Rename get_connected() to is_connected() and get_active() to
    is_active(), following the normal convention.

M	libgnome-desktop/gnome-rr-config.h
M	libgnome-desktop/gnome-rr-output-info.c

commit 7c2e51427fff29f1582eb5ed035f8c7637ea908f
Author: Federico Mena Quintero <federico@gnome.org>
Date:	2011-01-05

    Disallow null filenames passed to gnome_rr_config_load_filename()

    This also fixes a leak when the default intended filename was
    generated on-the-fly.

    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

M	libgnome-desktop/gnome-rr-config.c

commit cce5c87297ff8c163d4a29e1fc4e7277cbb4705a
Author: Federico Mena Quintero <federico@gnome.org>
Date:	2011-01-05

    Make the signal be GnomeRRScreen::changed, not screen-changed,
    to match the vmethod name

    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

M	libgnome-desktop/gnome-rr.c

commit 4da0756ef2e42b8040d8043029057b08e85efcec
Author: Federico Mena Quintero <federico@gnome.org>
Date:	2011-01-05

    Turn the RANDR version checks into macros

    This makes them less error-prone to use.  Also, fixes the
    master check for RANDR 1.2 in gnome_rr_screen_initable_init(), which
    wouldn't handle RANDR versions above 1.x.

    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

M	libgnome-desktop/gnome-rr.c

commit ab0ff1df3cd6cf250d199d943f600a96f09fccfb
Author: Nguyễn Hải Nam <hainam@gmail.com>
Date:	2011-01-02

    Updated Vietnamese translation

M	po/vi.po

commit 41ab81cbc521e46ff33f120985cfa4e7da8f55b5
Author: Daniel Nylander <po@danielnylander.se>
Date:	2011-01-01

    Updated Swedish translation

M	po/sv.po

commit 6d55bbc423ab4d79664a0ea361be01ea96b6bf32
Author: Daniel Nylander <po@danielnylander.se>
Date:	2011-01-01

    Updated Swedish translation

M	po/sv.po

commit b380b9ac8f5c8e610d13850978b311a60e985a75
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:	2011-01-01

    [l10n] Updated German translation

M	po/de.po

commit 29e52a1ac67e2abd5d314f4d5c35841277e27103
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:	2010-12-28

    gnome-desktop-utils: Port to gsettings

    Bug #638169

M	libgnome-desktop/gnome-desktop-utils.c

commit 8bda73eb9b56708b720c275fda725ecf2bc24f7d
Author: Nguyen Vu Hung <vuhung16plus@gmail.com>
Date:	2010-12-29

    Updated Vietnamese translation

M	po/vi.po

commit 256cf1a4c540533f36e6aa15ea352fe0bc89143c
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:	2010-12-29

    po/vi.po: import from Damned Lies

M	po/vi.po

commit 651d9f3719d10c6ccaceb9fab63d8a5d3aa9b339
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:	2010-12-23

    Added UG translation

M	po/ug.po

commit f0b0530674ebcc6b8a76debae2c62d5beaecb7f8
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-12-23

    release: post-release bump to 2.91.5

M	configure.ac

commit c2dd8492240e9a1305905aef48adee936695d1e3
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-12-23

    release: 2.91.4

M	NEWS
M	configure.ac

commit 12126af6df1f1c03d7e041343de32b582df0070f
Author: Mattias Põldaru <mahfiaz gmail com>
Date:	2010-12-20

    [l10n] Updated Estonian translation

M	po/et.po

commit d37833d5b3350bc579ec06360a0a076af184fc12
Author: Torstein Adolf Winterseth <kvikende@fsfe.org>
Date:	2010-12-16

    Updated Norwegian Nynorsk translation

M	po/nn.po

commit b919ce4ae2d98e0e78299b7755e46072d30838f4
Author: Wei-Lun Chao <chaoweilun@gmail.com>
Date:	2010-12-12

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 81590ec66ee8507ae61b47d3d93a8685e970a629
Author: Emilio Pozuelo Monfort <pochu27@gmail.com>
Date:	2010-12-05

    Don't export private symbols in the shared library

M	libgnome-desktop/Makefile.am

commit 1b52bec639c99c8d65727b8425a6574c8de6417f
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-12-03

    Updated Slovenian translation

M	desktop-docs/fdl/sl/sl.po

commit 24863ae9ea04dec397e41892cff21ae5ce9cef38
Author: Benjamin Otte <otte@redhat.com>
Date:	2010-12-02

    rr: Use gdk_x11_window_get_xid()

    ... instead of removed gdk_x11_drawable_get_xid()

M	libgnome-desktop/gnome-rr.c

commit ff299bbed74e9603ea7c780de8805110d88dec28
Author: Benjamin Otte <otte@redhat.com>
Date:	2010-12-01

    Replace GDK macro usage with proper function name

M	libgnome-desktop/gnome-bg-crossfade.c

commit f307d00ddb7507346dbbf5fc76b0e73daeaa2df4
Author: Benjamin Otte <otte@redhat.com>
Date:	2010-11-30

    Fix gcc warning

M	libgnome-desktop/gnome-desktop-thumbnail.c

commit 260f6d2431088c5cd0ad1eb8d57f0ec994240f08
Author: Benjamin Otte <otte@redhat.com>
Date:	2010-11-30

    Remove unnecessary cast

    The symbol will be removed soon, so better get rid of it.

M	libgnome-desktop/gnome-bg.c

commit 7436f759bec00d87f597ef0b6945da8fa8969e85
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:	2010-11-28

    Update GnomeRRConfig

    Added two public methods, gnome_rr_config_load_current and
    gnome_rr_config_load_filename, that allow initialization of the
    config (creating a new one with g_object_new results in an empty
    one).
    As a result, GnomeRRConfig is no more a GInitable and the :current
    property is gone.

M	libgnome-desktop/gnome-rr-config.c
M	libgnome-desktop/gnome-rr-config.h
M	libgnome-desktop/gnome-rr-private.h

commit 2c7a2e90fee98ff61e530098bc962a65dec670bc
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:	2010-11-28

    Update GnomeRRScreen

    Incorporate Federico's advice from bug 630913, including:
    - store priv as a local variable
    - chain up in finalize (this was actually a bug)
    - make :gdk-screen readwrite
    - add a ::changed vmethod for the signal
    - remove the callback in gnome_rr_screen_new, and drop
    gnome_rr_screen_destroy

M	libgnome-desktop/gnome-rr.c
M	libgnome-desktop/gnome-rr.h

commit 1d1f8ef64f404eccb29d384a75939701327e8e77
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:	2010-11-04

    Turn GnomeRRConfig and GnomeOutputInfo into GObjects

    For easier binding and introspectability, rework GnomeRRConfig and
    GnomeOutputInfo to be GObjects (GInitables, actually) instead of
    boxed types. This commit *does* break API, as previous API just
    accessed fields in the public structs, while now everything has been
    moved to private structures and accessors must be used.
    Also, rework GnomeRRLabeler to use both a public and a private
    structure,
    so that gobject-introspection can find instance/class sizes.
    Modifications to gnome-control-center and gnome-settings-daemon will
    follow.

    https://bugzilla.gnome.org/show_bug.cgi?id=630913

M	libgnome-desktop/Makefile.am
M	libgnome-desktop/gnome-rr-config.c
M	libgnome-desktop/gnome-rr-config.h
M	libgnome-desktop/gnome-rr-labeler.c
M	libgnome-desktop/gnome-rr-labeler.h
A	libgnome-desktop/gnome-rr-output-info.c
M	libgnome-desktop/gnome-rr-private.h
M	libgnome-desktop/gnome-rr.c
M	libgnome-desktop/gnome-rr.h

commit d135dd1e76268887460e2f7adcff2c49178ac489
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:	2010-10-25

    Add support for GObjectIntrospection

    Turned all GnomeRR structures into boxed types, then added the needed
    annotations and the Makefile.am bits.
    Does not yet include API changes, but should bind (awfully) all of
    libgnome-desktop.

    https://bugzilla.gnome.org/show_bug.cgi?id=630913

M	configure.ac
M	libgnome-desktop/Makefile.am
M	libgnome-desktop/gnome-bg.c
M	libgnome-desktop/gnome-desktop-thumbnail.c
M	libgnome-desktop/gnome-rr-config.c
M	libgnome-desktop/gnome-rr-config.h
M	libgnome-desktop/gnome-rr.c
M	libgnome-desktop/gnome-rr.h
M	libgnome-desktop/gnome-thumbnail-pixbuf-utils.c

commit a080477b92be1854507d76992dee2bde3451d2fe
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:	2010-10-21

    Turn GnomeRRScreen into a GObject

    Rework GnomeRRScreen so that it is a full GObject, and all its data
    is moved to GnomeRRScreenPrivate.
    GObject's are more supported when it comes to introspection and
    bindings,
    in particular wrt constructors. Therefore, this is a necessary step
    for useful introspection generation.

    https://bugzilla.gnome.org/show_bug.cgi?id=630913

M	libgnome-desktop/gnome-rr-config.c
M	libgnome-desktop/gnome-rr-private.h
M	libgnome-desktop/gnome-rr.c
M	libgnome-desktop/gnome-rr.h

commit af40f93ebf8eab71794f02797b87f2e9144c5cc3
Author: William Jon McCann <jmccann@redhat.com>
Date:	2010-11-26

    Remove gnome-about

    The System Information panel in the System Settings will provide
    similar functionality.

M	Makefile.am
M	configure.ac
D	gnome-about/ChangeLog.pre-git
D	gnome-about/Makefile.am
D	gnome-about/contributors.list
D	gnome-about/gnome-64.png
D	gnome-about/gnome-about.desktop.in.in
D	gnome-about/gnome-about.in
D	gnome-about/headers/Makefile.am
D	gnome-about/headers/header-bg-ancient01a.png
D	gnome-about/headers/header-bg-city01.png
D	gnome-about/headers/header-bg-clouds01.png
D	gnome-about/headers/header-bg-clouds02.png
D	gnome-about/headers/header-bg-hills01.png
D	gnome-about/headers/header-bg-landscape01.png
D	gnome-about/headers/header-bg-mountains01.png
D	gnome-about/headers/header-bg-snow01.png
D	gnome-about/headers/header-bg-sunset01.png
D	gnome-version.xml.in.in
D	man/Makefile.am
D	man/gnome-about.1
M	po/POTFILES.in
M	po/POTFILES.skip

commit 1ff1bcaefdd3fcb2c3d1264095d07a6de6e88b1e
Author: Bastien Nocera <hadess@hadess.net>
Date:	2010-11-25

    Fix wrong attribution in NEWS file

M	NEWS

commit 0eb756308d028cc9690dd1f00bace8bc010c93bc
Author: Bastien Nocera <hadess@hadess.net>
Date:	2010-11-25

    Post-release version bump to 2.91.4

M	configure.ac

commit 39fc2d31561ac385177dc0680bf5e7b3dc90eb54
Author: Bastien Nocera <hadess@hadess.net>
Date:	2010-11-25

    2.91.3

M	NEWS

commit 20415476aae7019d949c9448365d6d210e55ce01
Author: Bastien Nocera <hadess@hadess.net>
Date:	2010-11-12

    Add object to monitor system timezone files

    https://bugzilla.gnome.org/show_bug.cgi?id=626346

M	libgnome-desktop/Makefile.am
A	libgnome-desktop/gnome-tz-monitor.c
A	libgnome-desktop/gnome-tz-monitor.h

commit ae7a732da1bdced139b109a453fac78c2b9f2fc6
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-11-25

    gnome-bg: Tweak a bit 63c36f78

    No real change, I just wanted to cleanup the code a bit.

M	libgnome-desktop/gnome-bg.c

commit 63c36f78980a4982d364e37e6c1e6219af2ecd32
Author: Didier Roche <didrocks@ubuntu.com>
Date:	2010-11-25

    gnome-bg: Cache resized wallpaper to help CPU at startup

    Resized and transformed wallpapers are stored in ~/.cache/wallpaper/.
    The cache is refreshed for each new current wallpaper depending on the
    resolution or transformation, and each time the source image is
    refreshed.

    The source image format is preserved.

    https://bugzilla.gnome.org/show_bug.cgi?id=608419

M	libgnome-desktop/gnome-bg.c

commit ffd384bd1d50b8372323d074b255f5f7b341c4ec
Author: Marcelo  Rodrigues <marcelopires@mmsantos.com.br>
Date:	2010-11-24

    Added Brazilian Portuguese translation

A	desktop-docs/lgpl/pt_BR/pt_BR.po

commit cb6b9cdcc24452d12d23be31e72473d619a8da12
Author: Djavan Fagundes <djavan@comum.org>
Date:	2010-11-24

    Added pt_BR to Makefile.am

M	desktop-docs/lgpl/Makefile.am

commit 4dd5a30269d71bbe1da884a849db2290df5544c9
Author: William Jon McCann <jmccann@redhat.com>
Date:	2010-11-23

    rr: unset primary on displays that are off

M	libgnome-desktop/gnome-rr-config.c

commit 4bffbcb1ac85e1f821bde08d6d3acf2e6370443b
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:	2010-11-23

    Updated Thai translation.

M	po/th.po

commit f632805c549053a548877785e3e624b1fe687f23
Author: William Jon McCann <jmccann@redhat.com>
Date:	2010-11-22

    rr: add api for ensuring a primary display is set in config

    https://bugzilla.gnome.org/show_bug.cgi?id=635455

M	libgnome-desktop/gnome-rr-config.c
M	libgnome-desktop/gnome-rr-config.h

commit de76dea67cd85ca4643225c87e84464653f562f6
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:	2010-11-20

    Added UG translation

M	po/ug.po

commit 8eceb2e731abe81affc0a99ac4567ce5d24d0245
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-11-17

    Remove gconf-2.0 from pkg-config file

    We don't have gconf anymore in the public headers.

M	libgnome-desktop/gnome-desktop-3.0.pc.in

commit e6b7118e9de5a59ba1a29bada9ec9ddc251ee13b
Author: Rodrigo Moya <rodrigo@gnome-db.org>
Date:	2010-11-17

    release: post-release bump to 2.91.3

M	configure.ac

commit e58130fe1a4febc5131135bc9ee11639098c4d8d
Author: Rodrigo Moya <rodrigo@gnome-db.org>
Date:	2010-11-17

    release: 2.91.2

M	NEWS

commit 26ccd4a7337b4dc4e5cafa7e7ac08bfc842b07ff
Author: Claude Paroz <claude@2xlibre.net>
Date:	2010-11-16

    Fix translations which do not respect python variable names

    This is a side-effect of #519869. Fixes #628919.

M	po/an.po
M	po/ast.po
M	po/hy.po
M	po/kg.po
M	po/ku.po
M	po/mk.po
M	po/ps.po

commit 6ce5a5117bf1cee57dc5b0aa70cc6c36b165c7bf
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:	2010-11-13

    Added UG translation

M	po/ug.po

commit 1a98a3e6f4e938d297aaaa0d7009ea2cbed06eaf
Author: Bastien Nocera <hadess@hadess.net>
Date:	2010-11-11

    docs: Update generated files to match latest changes

M	docs/reference/gnome-desktop3/gnome-desktop3-sections.txt
M	docs/reference/gnome-desktop3/gnome-desktop3.types

commit e23c907bfdfcbfacb83b20cc3568cefbe4c49b6b
Author: Bastien Nocera <hadess@hadess.net>
Date:	2010-11-11

    docs: Fix include path for API docs

M	docs/reference/gnome-desktop3/Makefile.am

commit 7e967de7dff160d7302b1ab66db3f9054b8373b3
Author: Bastien Nocera <hadess@hadess.net>
Date:	2010-11-11

    Fix possible double-free when destroying private windows

    This could cause free'ing random data when the members of ->windows
    were destroyed, but ->windows itself wasn't. As it was != NULL, we'd
    be free memory that wouldn't belong to us anymore.

    https://bugzilla.gnome.org/show_bug.cgi?id=634534

M	libgnome-desktop/gnome-rr-labeler.c

commit b0a9b5adbea7a3e74ee8fb258d193cc951b80398
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:	2010-11-09

    Revert "Turn GnomeRRScreen into a GObject"

    This reverts commit 4d2a27d55bcf9bb8de170ae6c6540724125aafa3.

M	libgnome-desktop/gnome-rr-config.c
M	libgnome-desktop/gnome-rr-private.h
M	libgnome-desktop/gnome-rr.c
M	libgnome-desktop/gnome-rr.h

commit 9d20ddbc5ba6b51292f38c9dc5dbc7e99aff9da8
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:	2010-11-09

    Revert "Add support for GObjectIntrospection"

    This reverts commit cad94246fb5be76482212407a380cd75f9e7b932.

M	configure.ac
M	libgnome-desktop/Makefile.am
M	libgnome-desktop/gnome-bg.c
M	libgnome-desktop/gnome-desktop-thumbnail.c
M	libgnome-desktop/gnome-rr-config.c
M	libgnome-desktop/gnome-rr-config.h
M	libgnome-desktop/gnome-rr.c
M	libgnome-desktop/gnome-rr.h
M	libgnome-desktop/gnome-thumbnail-pixbuf-utils.c

commit 6629e06b48019f2500b69f334c20d1d1850f2b55
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:	2010-11-09

    Revert "Turn GnomeRRConfig and GnomeOutputInfo into GObjects"

    This reverts commit 139ac9d3510767444e425366594f7e7e6bb5c1f8.
    I messed with git push.
    Really, I promise I will not commit a patch without reviewing it!

M	libgnome-desktop/Makefile.am
M	libgnome-desktop/gnome-rr-config.c
M	libgnome-desktop/gnome-rr-config.h
M	libgnome-desktop/gnome-rr-labeler.c
M	libgnome-desktop/gnome-rr-labeler.h
D	libgnome-desktop/gnome-rr-output-info.c
M	libgnome-desktop/gnome-rr-private.h
M	libgnome-desktop/gnome-rr.c
M	libgnome-desktop/gnome-rr.h

commit 6d5ff05f210d940f8a213ccea7fbe8dbc771d37b
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:	2010-11-09

    Fix a typo in last commit.

    Of course, install folder is libgnome-desktop, not libgnome-destkop.
    Sorry for the noise.

M	libgnome-desktop/Makefile.am

commit 139ac9d3510767444e425366594f7e7e6bb5c1f8
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:	2010-11-04

    Turn GnomeRRConfig and GnomeOutputInfo into GObjects

    For easier binding and introspectability, rework GnomeRRConfig and
    GnomeOutputInfo to be GObjects (GInitables, actually) instead of
    boxed types. This commit *does* break API, as previous API just
    accessed fields in the public structs, while now everything has been
    moved to private structures and accessors must be used.
    Also, rework GnomeRRLabeler to use both a public and a private
    structure,
    so that gobject-introspection can find instance/class sizes.
    Modifications to gnome-control-center and gnome-settings-daemon will
    follow.

    https://bugzilla.gnome.org/show_bug.cgi?id=630913

M	libgnome-desktop/Makefile.am
M	libgnome-desktop/gnome-rr-config.c
M	libgnome-desktop/gnome-rr-config.h
M	libgnome-desktop/gnome-rr-labeler.c
M	libgnome-desktop/gnome-rr-labeler.h
A	libgnome-desktop/gnome-rr-output-info.c
M	libgnome-desktop/gnome-rr-private.h
M	libgnome-desktop/gnome-rr.c
M	libgnome-desktop/gnome-rr.h

commit cad94246fb5be76482212407a380cd75f9e7b932
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:	2010-10-25

    Add support for GObjectIntrospection

    Turned all GnomeRR structures into boxed types, then added the needed
    annotations and the Makefile.am bits.
    Does not yet include API changes, but should bind (awfully) all of
    libgnome-desktop.

    https://bugzilla.gnome.org/show_bug.cgi?id=630913

M	configure.ac
M	libgnome-desktop/Makefile.am
M	libgnome-desktop/gnome-bg.c
M	libgnome-desktop/gnome-desktop-thumbnail.c
M	libgnome-desktop/gnome-rr-config.c
M	libgnome-desktop/gnome-rr-config.h
M	libgnome-desktop/gnome-rr.c
M	libgnome-desktop/gnome-rr.h
M	libgnome-desktop/gnome-thumbnail-pixbuf-utils.c

commit 4d2a27d55bcf9bb8de170ae6c6540724125aafa3
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:	2010-10-21

    Turn GnomeRRScreen into a GObject

    Rework GnomeRRScreen so that it is a full GObject, and all its data
    is moved to GnomeRRScreenPrivate.
    GObject's are more supported when it comes to introspection and
    bindings,
    in particular wrt constructors. Therefore, this is a necessary step
    for useful introspection generation.

    https://bugzilla.gnome.org/show_bug.cgi?id=630913

M	libgnome-desktop/gnome-rr-config.c
M	libgnome-desktop/gnome-rr-private.h
M	libgnome-desktop/gnome-rr.c
M	libgnome-desktop/gnome-rr.h

commit db82a33c6ed33c8ccfbb2f138da2a18bd73b2334
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:	2010-11-08

    Move include files to libgnome-desktop/

    gobject-introspection requires all header and source files to be
    defined in one place. This is one way to achieve that, without
    using non recursive automake.
    Also, remove the outdated references to libgnome and libgnomeui

    https://bugzilla.gnome.org/show_bug.cgi?id=630913

M	configure.ac
M	libgnome-desktop/Makefile.am
M	libgnome-desktop/gnome-bg-crossfade.c
R100	libgnome-desktop/libgnomeui/gnome-bg-crossfade.h
libgnome-desktop/gnome-bg-crossfade.h
M	libgnome-desktop/gnome-bg.c
R098	libgnome-desktop/libgnomeui/gnome-bg.h
libgnome-desktop/gnome-bg.h
M	libgnome-desktop/gnome-desktop-thumbnail.c
R100	libgnome-desktop/libgnomeui/gnome-desktop-thumbnail.h
libgnome-desktop/gnome-desktop-thumbnail.h
M	libgnome-desktop/gnome-desktop-utils.c
R100	libgnome-desktop/libgnome/gnome-desktop-utils.h
libgnome-desktop/gnome-desktop-utils.h
M	libgnome-desktop/gnome-rr-config.c
R099	libgnome-desktop/libgnomeui/gnome-rr-config.h
libgnome-desktop/gnome-rr-config.h
M	libgnome-desktop/gnome-rr-labeler.c
R098	libgnome-desktop/libgnomeui/gnome-rr-labeler.h
libgnome-desktop/gnome-rr-labeler.h
M	libgnome-desktop/gnome-rr.c
R100	libgnome-desktop/libgnomeui/gnome-rr.h
libgnome-desktop/gnome-rr.h
M	libgnome-desktop/gnome-thumbnail-pixbuf-utils.c
D	libgnome-desktop/libgnome/Makefile.am
D	libgnome-desktop/libgnomeui/Makefile.am

commit 1aac0bd5b10f669e91bc5d2a6de2a07a42fdf626
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2010-11-09

    release: post-release bump to 2.91.2

M	configure.ac

commit 8d707144b759564f575ca6162061e29367475d34
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2010-11-09

    release: 2.91.1

M	NEWS

commit a53c18b3ad9c995ddc79b1f1d05db305f499f42f
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2010-11-09

    gnome-bg: Port to GSettings

    This also introduces API break for loading/saving settings.

    See bug 626021 for details.

M	configure.ac
M	libgnome-desktop/gnome-bg.c
M	libgnome-desktop/gnome-desktop-3.0-uninstalled.pc.in
M	libgnome-desktop/gnome-desktop-3.0.pc.in
M	libgnome-desktop/libgnomeui/gnome-bg.h

commit ed7fd9042520b30a85d44118bfc9e98952bc5969
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	2010-10-29

    Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit 7c41d88c7f2e83b136a5e48f9990d8c849bba8f4
Author: Mahyar Moghimi <mahyar.moqimi@gmail.com>
Date:	2010-10-27

    Update Persian translation

M	po/fa.po

commit 456bfec616d5985d0ead7fb15ea9a4a53a2be12a
Author: Mahyar Moghimi <mahyar.moqimi@gmail.com>
Date:	2010-10-27

    Update Persian translation

M	po/fa.po

commit 3fa03455aa799ce882767c94152ce4d9d4e70377
Author: Federico Mena Quintero <federico@novell.com>
Date:	2010-10-26

    bgo#629168 - Don't read past the end of a string

    Signed-off-by: Federico Mena Quintero <federico@novell.com>

M	libgnome-desktop/display-name.c

commit 34cd5f6ada2598256bcfaf56575f49c1ecd148fa
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-10-18

    Added sl for Slovenian translation

M	desktop-docs/lgpl/Makefile.am

commit 6254d42d945903c95486ad518731e8e75324c45b
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-10-18

    Updated Slovenian translation

A	desktop-docs/lgpl/sl/sl.po

commit f7b66936b2d4129ea8e183917e89a8af0dc92b4b
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-10-18

    Added sl for Slovenian translation

M	desktop-docs/gpl/Makefile.am

commit 97d87a8e3da13d633c6b36245ab043d5e0645154
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-10-18

    Updated Slovenian translation

A	desktop-docs/gpl/sl/sl.po

commit e8b4e2de97204e1a6c24fc2b96b400c3f9731419
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-10-18

    Updated Slovenian translation

M	desktop-docs/fdl/sl/sl.po

commit 7dbc1d6d678f968bb03d7695e9a88255366d247f
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-10-18

    Added sl for Slovenian translation

M	desktop-docs/fdl/Makefile.am

commit aa1d95c632155a9b946ba6e49e3201a32ea51172
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-10-18

    Updated Slovenian translation

A	desktop-docs/fdl/sl/sl.po

commit f2257fb5dacafca1f8eb1e941082d6262b69a3dd
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-10-09

    build: Update git.mk from pango

M	git.mk

commit 510454985e75ce8fe3f1674bd559b1e602684fbd
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2010-09-24

    Updated Korean translation

M	po/ko.po

commit 053a932b09487c4fa3e6331ef7fb65d24667263d
Author: William Jon McCann <jmccann@redhat.com>
Date:	2010-10-07

    Make the RR labels honor workarea so they don't appear over/under
    panels

M	libgnome-desktop/gnome-rr-labeler.c

commit 4b23898adf9980646cc1e64a7a4db207c0281366
Author: Benjamin Otte <otte@redhat.com>
Date:	2010-10-07

    Require gconf in pc file

    As long as gnome-bg includes GConf headers, we better require it.

M	libgnome-desktop/gnome-desktop-3.0.pc.in

commit 48e4b7e6b73c9c5e0fa315a6b4dd2d10aa50dfef
Author: Kibavuidi Nsiangani <lundombe01@zaya-dio.com>
Date:	2010-10-05

    Added Kikongo translation

M	po/LINGUAS
A	po/kg.po

commit c5c8db1caa95d5a3f3babcf22cf96836a439e7bb
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-10-04

    release: post-release bump to 2.91.1

M	configure.ac

commit c611fd11650210738f5e8cfedea869622be24b10
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-10-04

    release: 2.91.0

M	NEWS
M	configure.ac

commit e07cba54243587c55e70fe923d0f6092c462f76c
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	2010-10-04

    Bump version to 2.91.0

M	configure.ac

commit 30a73173acd486ff509634a75530e9e4563fdf63
Author: Žygimantas Beručka <zygis@gnome.org>
Date:	2010-10-01

    Updated Lithuanian translation

M	po/lt.po

commit 2168b182343c89e01030af9c19475a3cf5a24f5e
Author: William Jon McCann <jmccann@redhat.com>
Date:	2010-09-30

    Use the awesome new GTK3 draw event instead of expose-event

M	libgnome-desktop/gnome-rr-labeler.c

commit f2a6d5ea97b98ea3b1d36bb1de83f3bfc92c5c73
Author: Ray Strode <rstrode@redhat.com>
Date:	2010-09-30

    gnome-bg: don't try to use a null format

    commit 9a2c931869214d5113e3c9246cc36c094bd211fe
    introduced a bug that would cause a warning to
    spew in gnome-screensaver.

M	libgnome-desktop/gnome-bg.c

commit c5e5db705ee982e3cc0761a7c83235798d8428bd
Author: Benjamin Otte <otte@redhat.com>
Date:	2010-09-29

    gnome-bg: Don't keep duplicates of cache width and height

M	libgnome-desktop/gnome-bg.c

commit da4d293870762064285231fba3a2a7c3c0d25838
Author: Benjamin Otte <otte@redhat.com>
Date:	2010-09-29

    Make error traps use the awesome new GTK APIs

M	libgnome-desktop/gnome-bg.c
M	libgnome-desktop/gnome-rr.c

commit 28f2b06f50e3f1adf19389c2c3a1f63872539fa9
Author: Benjamin Otte <otte@redhat.com>
Date:	2010-08-30

    gnome-bg: Update for GTK3 changes

    Includes a renaming of all "pixmap" anems in APIs to "surface",
    because
    that's what they actually use.

    https://bugzilla.gnome.org/show_bug.cgi?id=630724

M	libgnome-desktop/gnome-bg-crossfade.c
M	libgnome-desktop/gnome-bg.c
M	libgnome-desktop/libgnomeui/gnome-bg-crossfade.h
M	libgnome-desktop/libgnomeui/gnome-bg.h

commit 8201ef063509e021933e4f45a19b243e89ac7233
Author: Gil Forcada <gforcada@gnome.org>
Date:	2010-09-27

    Updated Catalan translation

M	po/ca.po

commit 7fcbb6d90d2c6251434dfac19364b39af21dceed
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-09-27

    misc: Rename --enable-deprecations to --enable-deprecation-flags

    This is a better name for this configure option, since it's really
    about
    enabling the use of the deprecation flags, not allowing the use of
    deprecated API.

M	configure.ac
M	libgnome-desktop/Makefile.am

commit 2ce2378514c60c3008ab1a9b39083f1aad87be3e
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:	2010-09-25

    Updated Romanian translation

M	po/ro.po

commit 279887b8c558a4796b6ff910d917a5db44155fac
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:	2010-09-25

    Updated Romanian translation

M	po/ro.po

commit 0b2eb4581423135490d60f863eb79674dc9eec98
Author: Petr Kovar <pknbe@volny.cz>
Date:	2010-09-23

    Update Czech translation

M	po/cs.po

commit 4c3d78c930ecb833a677f534ef6cd697d3d92169
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-09-20

    build: Update all Makefile.am to more recent standards

M	Makefile.am
M	gnome-about/Makefile.am
M	libgnome-desktop/Makefile.am
M	libgnome-desktop/libgnomeui/Makefile.am

commit 721b617b055f0c6b333999dcf28e19ffd694a8b7
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-09-20

    misc: Update instructions for commit messages

    We're switching to "tag:" instead of "[tag]".

M	ChangeLog

commit bc0c7c3e7a5e39f5c213dede148fbbcc23307994
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:	2010-09-15

    Updated Danish translation

M	po/da.po

commit 4e066516b2e8d8c1b074af0aa69fa1733dadca44
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2010-09-15

    Look up mimetypes properly

    Use GIOs g_content_type apis to unalias mimetypes before looking
    them up, to avoid false negatives.

    Bug 629231

M	libgnome-desktop/gnome-desktop-thumbnail.c

commit c7bc54f84c6757119b233be7259a214136f81e0f
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	2010-09-15

    Fix for Kazakh translation

M	po/kk.po

commit 7301ebe8ad19d0dd28dacab9f8da1d864f7d5278
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	2010-09-15

    Updated Kazakh translation

M	po/kk.po

commit c53ae1e9ed78939b413d7fea4d0d00ff8275d3e2
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2010-09-14

    Updated Polish translation

M	po/pl.po

commit 97bc1dc0ed47cfaad538367584244498ae397df4
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:	2010-09-14

    Updated Japanese translation.

M	po/ja.po

commit b309e97b6691f20711a1a8ff87e032c44e76b4c7
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:	2010-09-12

    Updated Dutch translation by Wouter Bolsterlee

M	po/nl.po

commit de124b667434d0f15d22cbd0e654e9fc31f83116
Author: Ray Strode <rstrode@redhat.com>
Date:	2010-09-09

    bgo#621046 - [randr] Force a refresh of timestamps so other clients
    won't think this is a server-generated event

    'Detect displays' in the control center's display capplet works
    by calling
    gnome_rr_screen_refresh().	However, this causes
    gnome-settings-daemon's
    RANDR plug-in to get an event, which makes it think that it should
    reconfigure
    the displays.  Here, we grab the X server and do a no-op
    XRRSetCrtcConfig() so
    that when we ungrab, the X server will send out an RRNotify event
    with an
    updated timestamp.	This will cause g-s-d not to reconfigure the
    displays, thus
    making 'Detect displays' really be 'detect only', not 'detect and
    reconfigure'.

    Signed-off-by: Federico Mena Quintero <federico@novell.com>

M	libgnome-desktop/gnome-rr.c

commit 34075e423857379c79edd4f27ab1071aebd90acc
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-09-08

    [release] post-release bump to 2.90.6

M	configure.ac

commit 3d05cd5ee29918f770ca56f4d08a7a8027237a58
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-09-08

    [release] 2.90.5

M	NEWS
M	configure.ac

commit 278059220483847739a41e11e64dadcea7f870a3
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-09-08

    Remove files from POTFILES.in

M	po/POTFILES.in

commit a15287498fb39d850d9ae933fd19834007fd177f
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-09-08

    [misc] Update AUTHORS, HACKING, README

    Nothing new, but make sure this is up-to-date.

    Also tweak a bit autogen.sh and Makefile.am to make them look
    similar in
    all my modules.

M	AUTHORS
M	HACKING
M	Makefile.am
M	README
M	autogen.sh

commit ab12d2b6b7a463632588bcc107f45c955410fe58
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-09-08

    [misc] Update license files to latest text

    Note that this doesn't change the license. The license text was
    updated
    for the latest FSF address, for example.

M	COPYING
M	COPYING-DOCS
M	COPYING.LIB

commit 338b5cdf2f436ddbf241483f9ea90c0290546f64
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-09-08

    [build] Rename configure.in to configure.ac

M	autogen.sh
R100	configure.in	configure.ac

commit 36176e28fff69fb8879c09d0e5dafb496fc372a7
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-09-08

    [build] Add a --disable-desktop-docs configure flag

    This is similar to --disable-gnome-about, and helps installing both
    gnome-desktop and gnome-desktop-3 in parallel.

M	Makefile.am
M	configure.in

commit f12bded88e7a956e79841c286f96de7e5d213ad0
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-09-08

    [build] Do not install gnome-version.xml with --disable-gnome-about

    Also, do not ship the generated gnome-version.xml in the tarball.

M	Makefile.am

commit 2a9e692fb995bb65d8bbceef389b93c1963c7624
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-09-08

    [pixmaps] Remove old icons installed in /usr/share/pixmaps

    We kept them in GNOME 2 for compatibility because /usr/share/pixmaps
    was
    still in use at the beginning of GNOME 2. But for GNOME 3, we're now
    completely in the icon theme world, and we don't need those anymore.

    If an icon there was really important, please ask for it to be
    included
    in gnome-icon-theme.

M	Makefile.am
M	configure.in
D	pixmaps/Makefile.am
D	pixmaps/apple-green.png
D	pixmaps/apple-red.png
D	pixmaps/gnome-aorta.png
D	pixmaps/gnome-applets.png
D	pixmaps/gnome-background-image.png
D	pixmaps/gnome-background-pattern.png
D	pixmaps/gnome-background.png
D	pixmaps/gnome-calc2.png
D	pixmaps/gnome-calc3.png
D	pixmaps/gnome-calendar.png
D	pixmaps/gnome-ccbackground.png
D	pixmaps/gnome-ccdesktop.png
D	pixmaps/gnome-ccdialog.png
D	pixmaps/gnome-ccmime.png
D	pixmaps/gnome-ccperiph.png
D	pixmaps/gnome-ccscreensaver.png
D	pixmaps/gnome-ccwindowmanager.png
D	pixmaps/gnome-color-browser.png
D	pixmaps/gnome-color-xterm.png
D	pixmaps/gnome-computer.png
D	pixmaps/gnome-cromagnon.png
D	pixmaps/gnome-day.png
D	pixmaps/gnome-debian.png
D	pixmaps/gnome-diskfree.png
D	pixmaps/gnome-emacs.png
D	pixmaps/gnome-eterm.png
D	pixmaps/gnome-file-c.png
D	pixmaps/gnome-file-h.png
D	pixmaps/gnome-folder.png
D	pixmaps/gnome-gemvt.png
D	pixmaps/gnome-gimp.png
D	pixmaps/gnome-gmenu.png
D	pixmaps/gnome-gmush.png
D	pixmaps/gnome-gnomoku.png
D	pixmaps/gnome-home.png
D	pixmaps/gnome-html.png
D	pixmaps/gnome-image-gif.png
D	pixmaps/gnome-image-jpeg.png
D	pixmaps/gnome-irc.png
D	pixmaps/gnome-laptop.png
D	pixmaps/gnome-log.png
D	pixmaps/gnome-logo-icon-transparent.png
D	pixmaps/gnome-logo-icon.png
D	pixmaps/gnome-logo-large.png
D	pixmaps/gnome-mdi.png
D	pixmaps/gnome-mnemonic.png
D	pixmaps/gnome-month.png
D	pixmaps/gnome-mouse.png
D	pixmaps/gnome-news.png
D	pixmaps/gnome-note.png
D	pixmaps/gnome-qeye.png
D	pixmaps/gnome-set-time.png
D	pixmaps/gnome-spider.png
D	pixmaps/gnome-squeak.png
D	pixmaps/gnome-suse.png
D	pixmaps/gnome-talk.png
D	pixmaps/gnome-term-linux.png
D	pixmaps/gnome-term-linux2.png
D	pixmaps/gnome-term-night.png
D	pixmaps/gnome-term-tiger.png
D	pixmaps/gnome-term.png
D	pixmaps/gnome-tigert.png
D	pixmaps/gnome-touristinfo.png
D	pixmaps/gnome-user-interface.png
D	pixmaps/gnome-week.png
D	pixmaps/gnome-windows.png
D	pixmaps/gnome-word.png
D	pixmaps/gnome-xterm.png
D	pixmaps/gtkvim.png
D	pixmaps/kterm.xpm
D	pixmaps/monitor.png
D	pixmaps/vnterm.xpm

commit 78d427ffe4dbd076493b415f4988fc033f220383
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:	2010-09-07

    Updated Portuguese translation

M	po/pt.po

commit 5ba62e90dceaf765c2d549241179db9966bc5127
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:	2010-08-31

    Updated British English translation

M	po/en_GB.po

commit c172c7aa5e4c48f8812aca1f81e7801b85f5c189
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2010-08-29

    Updated Hungarian translation

M	po/hu.po

commit 70abff5f24a4f598f1ea09644157461452e8a242
Author: Gheyret Kenji <gheyret@hotmail.com>
Date:	2010-08-28

    Added UG translation

M	po/ug.po

commit 79e3dc497f954cbd1bc02986df5d5faf15a9ed54
Author: Alexander Shopov <ash@contact.bg>
Date:	2010-08-26

    Updated Bulgarian translation

M	po/bg.po

commit f98913368e3c960cb123d725b79563a1e488ccdd
Author: Michael Kotsarinis <mk73628@gmail.com>
Date:	2010-08-25

    l10n: Updated Greek translation for gnome-desktop

M	po/el.po

commit 273ed723530083066f3683b14756f25681e50aaa
Author: Милош Поповић <gpopac@gmail.com>
Date:	2010-08-23

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit c41250d7e3921504229bd1f3304d25b68a603b9c
Author: André Gondim <andregondim@ubuntu.com>
Date:	2010-08-19

    Updated Brazilian Portuguese Translation

M	po/pt_BR.po

commit d24ffe04b42db9e8700775acf775e7a71bc2ef22
Author: Manoj Kumar Giri <mgiri@mgiri.csb>
Date:	2010-08-12

    Updated Oriya Translation

M	po/or.po

commit 8ae5205fe05132ec10ff84d705a8aaa4acc78253
Author: Shankar Prasad <sprasad@git.gnome.org>
Date:	2010-08-12

    Updated the Kannada translations

M	po/kn.po

commit cbed80b9b6fa07b27d828a9b0a05f12c03449fed
Author: Thomas Wood <thomas.wood@intel.com>
Date:	2010-08-11

    [gnome-bg] Be sure to unreference the file_monitor object during
    dispose

    Add a dispose handler and unreference the file_monitor object in
    it. The
    clear_cache function is also moved to dispose since it will
    unreference the
    pixbuf_cache object.

M	libgnome-desktop/gnome-bg.c

commit 00a2ba8603783ff9cea96323dd4250c6cb0e3fa4
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-08-07

    [gnome-about] Update man page

M	man/gnome-about.1
D	man/gnome-about.sgml

commit 58a36766504d814359003b2a03de8d363e6542c6
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-08-07

    [build] Add --disable-gnome-about configure flag

    This makes it easier to have both gnome-desktop and gnome-desktop-3
    installed at the same time.

M	Makefile.am
M	configure.in
M	man/Makefile.am

commit 0ef1a5419539548db89f3f19e54c68e8cdbb292c
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-08-07

    [docs] Remove obsolete gnome-intro documentation

    This is some documentation from... 1998, when GNOME was still alpha!

D	desktop-docs/gnome-intro/book01.html
D	desktop-docs/gnome-intro/c01.html
D	desktop-docs/gnome-intro/c0101.html
D	desktop-docs/gnome-intro/c0102.html
D	desktop-docs/gnome-intro/c02.html
D	desktop-docs/gnome-intro/c0201.html
D	desktop-docs/gnome-intro/c0202.html
D	desktop-docs/gnome-intro/c0203.html
D	desktop-docs/gnome-intro/c0204.html
D	desktop-docs/gnome-intro/c0205.html
D	desktop-docs/gnome-intro/c0206.html
D	desktop-docs/gnome-intro/c0207.html
D	desktop-docs/gnome-intro/c0208.html
D	desktop-docs/gnome-intro/f01.html
D	desktop-docs/gnome-intro/f0101.html
D	desktop-docs/gnome-intro/f0102.html

commit cf69704a65cddc70efb4806c246c801970404c4a
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-08-07

    [build] Use $(datadir)/libgnome-desktop-3.0 for library datadir

    We version the directory to have it parallel-installable with
    the GTK+2
    version.

M	libgnome-desktop/Makefile.am

commit f7396a442505cbd058455889914b23089d364684
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:	2010-08-06

    Fix docs after GnomeDesktopItem removal

M	docs/reference/gnome-desktop3/gnome-desktop3-docs.sgml
M	docs/reference/gnome-desktop3/gnome-desktop3-sections.txt
M	docs/reference/gnome-desktop3/gnome-desktop3.types

commit b8dbf604b83cccf0b2f0a4fccd1a8cd9bc3a6b94
Author: Sense Hofstede <sense@ubuntu.com>
Date:	2010-08-04

    Updated Frisian translation

M	po/LINGUAS
A	po/fy.po

commit 640cce885dabf91f79da9e3836ffa57c77b3063f
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-08-04

    Drop GnomeDesktopItem API

    This is replaced by GKeyFile and GDesktopAppInfo now.

    See
    http://mail.gnome.org/archives/desktop-devel-list/2010-July/msg00017.html
    for discussion.

M	libgnome-desktop/Makefile.am
D	libgnome-desktop/gnome-desktop-item.c
M	libgnome-desktop/libgnome/Makefile.am
D	libgnome-desktop/libgnome/gnome-desktop-item.h
D	libgnome-desktop/test-ditem.c

commit fbca5b2bcb35066036a82fd9e4f7f32db336b8b7
Author: A S Alam <aalam@users.sf.net>
Date:	2010-08-04

    update Punjabi Translation by A S Alam

M	po/pa.po

commit 490c715577c5e151a4e0be4d31d36beea19efbd7
Author: Pablo Castellano <pablog@src.gnome.org>
Date:	2010-08-03

    Update git.mk from pango

M	git.mk

commit 9baddce7bdf87c870a138a672fc9b34dc4c97dbb
Author: Leonid Kanter <leon@asplinux.ru>
Date:	2010-08-03

    Updated Russian translation from Yuri Myasoedov

M	po/ru.po

commit 79b07ead6c2670981fcbe7c81fcecbb9fe6f70c6
Author: Benjamin Otte <otte@redhat.com>
Date:	2010-07-23

    Don't use deprecated Gdk drawing APIs

    https://bugzilla.gnome.org/show_bug.cgi?id=625097

M	libgnome-desktop/gnome-bg.c

commit 3367b32d5099f3b0c522a498c37ebfe317e0a582
Author: Dirgita <dirgitadevina@yahoo.co.id>
Date:	2010-07-27

    Updated Indonesian translation

M	po/id.po

commit 51425d746f0221986bc70e3a52fdd702f270f6d1
Author: Aron Xu <aronxu@gnome.org>
Date:	2010-07-24

    Update Simplified Chinese translation.

M	po/zh_CN.po

commit b84e249bb0490177cefe4ccf9e8d86545d9ca029
Author: YunQiang Su <wzssyqa@gmail.com>
Date:	2010-07-23

    Update Simplified Chinese translation.

M	po/zh_CN.po

commit 696ba264c1a0e75b14aa7d8dcf121e6567c8ed02
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	2010-07-20

    Updated Galician translations

M	po/gl.po

commit 17e39e7d8d9fbbb6f66ab991e5840029f8e75509
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2010-07-20

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 0f6178062a1bf72804fe2c16b0963d575e55feba
Author: Claude Paroz <claude@2xlibre.net>
Date:	2010-07-19

    Updated French translation

    Contributed by Gérard Baylard and Claude Paroz

M	po/fr.po

commit a632bce80a15062dd90a59b7196abc0fbabfaf29
Author: Daniel Martinez <entaltoaragon@gmail.com>
Date:	2010-07-19

    Added Aragonese translation

M	po/LINGUAS
A	po/an.po

commit d42d71c79742fec3e98c2a0ea8b01fb5676fe893
Author: lainme <lainme993@gmail.com>
Date:	2010-07-12

    Update Simplified Chinese translation.

M	po/zh_CN.po

commit d4610e529926fd75ea17c94f030c2d92a15732ee
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-06-29

    [release] post-release bump to 2.90.5

M	configure.in

commit ced7d22e8ebfc8138a1266e6bb0da1c0343e482f
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-06-29

    [release] 2.90.4

M	NEWS
M	README
M	configure.in

commit 9044902a2350856f14b803d5ac140ba3b5ecf01e
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2010-06-28

    Don't requires gdk-pixbuf-3.0

    That version has ceased to exist.

M	configure.in

commit 6934a03ae0285b4e1461c8e720f4b6e3562f2d63
Author: Kristjan Schmidt <kristjan.schmidt@googlemail.com>
Date:	2010-06-21

    Updated Esperanto translation

M	po/eo.po

commit a27b6a67ee83930408b7805a07705208e911410c
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2010-06-20

    Added Norwegian bokmål translation

M	po/nb.po

commit ac775963c09a430c4791687cf811a3437ea2af83
Author: Bastien Nocera <hadess@hadess.net>
Date:	2010-06-17

    2.90.1

M	NEWS
M	configure.in

commit efc19804529db3b70af251f85f62dacff1fb4f10
Author: Bastien Nocera <hadess@hadess.net>
Date:	2010-06-17

    Rename gtk-doc module to gnome-desktop3

    For parallel installability with GTK+ 2.x version

M	configure.in
M	docs/reference/Makefile.am
R099	docs/reference/gnome-desktop/Makefile.am
docs/reference/gnome-desktop3/Makefile.am
R100	docs/reference/gnome-desktop/gnome-desktop-docs.sgml
docs/reference/gnome-desktop3/gnome-desktop3-docs.sgml
R100	docs/reference/gnome-desktop/gnome-desktop-sections.txt
docs/reference/gnome-desktop3/gnome-desktop3-sections.txt
R100	docs/reference/gnome-desktop/gnome-desktop.types
docs/reference/gnome-desktop3/gnome-desktop3.types
R099	docs/reference/gnome-desktop/tmpl/gnome-desktop-item.sgml
docs/reference/gnome-desktop3/tmpl/gnome-desktop-item.sgml
R100	docs/reference/gnome-desktop/tmpl/gnome-desktop-unused.sgml
docs/reference/gnome-desktop3/tmpl/gnome-desktop-unused.sgml

commit c814890ad764e412949cdd745367e959f417ba7a
Author: Bastien Nocera <hadess@hadess.net>
Date:	2010-06-11

    2.90.0

    Fix linking of the gtk-doc scanner.

M	NEWS
M	configure.in
M	docs/reference/gnome-desktop/Makefile.am
M	docs/reference/gnome-desktop/tmpl/gnome-desktop-item.sgml
M	docs/reference/gnome-desktop/tmpl/gnome-desktop-unused.sgml

commit 42452cada8cf1c4d7a81aded0a3ddbb5e97441de
Author: Bastien Nocera <hadess@hadess.net>
Date:	2010-06-11

    Revert "Don't use fixed-length arrays for EDID"

    This reverts commit cd51db012316b571f03e7557b1159a7cbbcfcdeb.

M	libgnome-desktop/edid-parse.c
M	libgnome-desktop/edid.h
M	libgnome-desktop/gnome-rr-config.c

commit 427510a4778519fb523eac9aa6a30cd3175b83a5
Author: Bastien Nocera <hadess@hadess.net>
Date:	2010-06-11

    Port to GTK+ 3.0

    And make it parallel installable with GTK+ 2.0 version.

    https://bugzilla.gnome.org/show_bug.cgi?id=621291

M	configure.in
M	libgnome-desktop/Makefile.am
R057	libgnome-desktop/gnome-desktop-2.0-uninstalled.pc.in
libgnome-desktop/gnome-desktop-3.0-uninstalled.pc.in
R050	libgnome-desktop/gnome-desktop-2.0.pc.in
libgnome-desktop/gnome-desktop-3.0.pc.in
M	libgnome-desktop/libgnome/Makefile.am
M	libgnome-desktop/libgnomeui/Makefile.am

commit cd51db012316b571f03e7557b1159a7cbbcfcdeb
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2010-03-09

    Don't use fixed-length arrays for EDID

    Use variable-length variables instead.

    https://bugzilla.gnome.org/show_bug.cgi?id=612276

M	libgnome-desktop/edid-parse.c
M	libgnome-desktop/edid.h
M	libgnome-desktop/gnome-rr-config.c

commit 13a7a9b5160723c1e8b98be91cc2a1b537aaed25
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2010-05-27

    Updated Hebrew translation

M	po/he.po

commit c6b02c0dc1590988b9382c832fbf9920af410310
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-05-26

    [release] post-release bump to 2.31.3

M	configure.in

commit 25691296c912f9c9148e979617823a3a333f1958
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-05-26

    [release] 2.31.2

M	NEWS
M	README
M	configure.in
M	docs/reference/gnome-desktop/tmpl/gnome-desktop-item.sgml

commit 545263778ba58e6b0ad029898e7dacd1ef911858
Author: Manoj Kumar Giri <mgiri@mgiri.csb>
Date:	2010-05-18

    Updated Oriya Translation

M	po/or.po

commit 768f829b4ddc0adf382c15afaf232d790589e4f3
Author: Thomas Thurman <tthurman@gnome.org>
Date:	2010-05-12

    Updated Shavian transliteration

M	po/en@shaw.po

commit 9b61e4f11c7f9d6788b41a32e988e4abf45dd67f
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2010-05-01

    Updated Norwegian bokmål translation

M	po/nb.po

commit 5ac20ff6ec92392c5576970a9bb4ad0314dc4c11
Author: Norayr Chilingaryan <norayr@arnet.am>
Date:	2010-04-28

    Updated Armenian translation.

M	po/hy.po

commit ff94c25f97908228766013c276de8e31ef34bb32
Author: Norayr Chilingaryan <norayr@arnet.am>
Date:	2010-04-27

    small bugfix for armenian translation and test

M	po/hy.po

commit 10e88f6e3771867cb31b9a9abbb600d5f2d2dbae
Author: Mattias Põldaru <mahfiaz gmail com>
Date:	2010-04-26

    Estonian translation updated

M	po/et.po

commit 031f4d231e27195126dbdab375b10b37b2282335
Author: Peteris Krisjanis <pecisk@gmail.com>
Date:	2010-04-24

    Updated Latvian translation.

M	po/lv.po

commit 9cbde07dc90b988bc0b0e5b2c4da95149268a02b
Author: Marcel Telka <marcel@telka.sk>
Date:	2010-04-23

    Updated Slovak translation

M	po/sk.po

commit 7bea31b917ecf6c550172898ae0cf939312186c8
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	2010-04-21

    Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit a2f6b3d3fa0ea09597d94e67e2bb9fc89f024c06
Author: Shankar Prasad <svenkate@svenkate.pnq.redhat.com>
Date:	2010-04-21

    Updated Kannada translations

M	po/kn.po

commit df5e97b1343e60d4a7a7ba528d7948efae63aa46
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2010-04-20

    Fix a case of width-for-height confusion

    This can lead to huge memory consumption on multi-monitor systems.

M	libgnome-desktop/gnome-bg.c

commit 0136d73725699f02d2f9cd9d0cc34a0b407fd749
Author: Francisco Diéguez <fran.dieguez@mabishu.com>
Date:	2010-04-17

    Updated Galician translations

M	po/gl.po

commit 6470fcb82ab41823d883699e919eb368eef183dd
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2010-04-16

    Updated Spanish translation

M	po/es.po

commit 21d6fa87aa51bae5056efea6621da106200c927a
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-04-14

    Updated Slovenian translation

M	po/sl.po

commit 887095726d2aaa190c3fe2e79a9b995ab8439fa0
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-04-14

    Updated Slovenian translation

M	po/sl.po

commit ba28e329fed22a9c421d77f2866da701db78b4bd
Author: Sandeep Shedmake <sshedmak@redhat.com>
Date:	2010-04-13

    Updated Marathi Translations

M	po/mr.po

commit 982ca10ffa343f314726a86b140d132379bad2d8
Merge: bc9af60 415ff9f
Author: Federico Mena Quintero <federico@novell.com>
Date:	2010-04-09

    Merge branch 'randr-assignment-errors'

commit 415ff9f57669a3f3e5b0e8550b5d027579424266
Author: Federico Mena Quintero <federico@novell.com>
Date:	2010-04-09

    Say when we start trying to assign a CRTC

    We use this to know if there were CRTCs at all, as opposed to
    not having
    any modes for a particular CRTC.

    Signed-off-by: Federico Mena Quintero <federico@novell.com>

M	libgnome-desktop/gnome-rr-config.c

commit bc9af601a07528c388d9cb3fcaadfe14c8093117
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-04-09

    Fix typo in error message

    https://bugzilla.gnome.org/show_bug.cgi?id=615251

M	libgnome-desktop/gnome-rr-config.c

commit acd9bbc08ad2a81ad69b0c77d6a82424f2d7e0f7
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2010-04-09

    Updated Spanish translation

M	po/es.po

commit ab65f7113bbe5a01d4ac0d9fe8d34e67a7ba73ea
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:	2010-04-09

    Updated Thai translation.

M	po/th.po

commit 77e24b95f7646d7cf02fffcb5c666089e88f58b5
Merge: da969dc adde41e
Author: Federico Mena Quintero <federico@novell.com>
Date:	2010-04-08

    Merge branch 'randr-assignment-errors'

    The algorithm used to assign RANDR's CRTCs to outputs is recursive,
    and it
    basically returned just success/failure.  However, to debug what
    may be
    wrong when CRTCs cannot be assigned to outputs ("I cannot change
    my RANDR
    configuration"), it is useful to have a log of what the algorithm
    tried
    to do.  This branch adds the necessary propagation of errors so that
    the the public APIs return their GError with meaningful information
    about
    what failed.

commit adde41e2a4ee87f764150343cbfa39b2c59cb4e4
Author: Federico Mena Quintero <federico@novell.com>
Date:	2010-04-08

    Accumulate errors in the recursive real_assign_crtcs()

    When we need to debug why a CRTC assignment didn't succeed, we need
    the full
    log of what the algorithm tried to do.  This accumulates the
    errors that
    happen along the process inside real_assign_crtcs().  Before we could
    silently leak the innermost errors, and we were ignoring them in
    the end.

    Signed-off-by: Federico Mena Quintero <federico@novell.com>

M	libgnome-desktop/gnome-rr-config.c

commit e2c2073097ede4b4d9bac4117a640a7821d28f46
Author: Federico Mena Quintero <federico@novell.com>
Date:	2010-04-06

    Return detailed errors from the CRTC assignment process

    We used to return just true/false when attempting to assign
    CRTCs to outputs.  Now we return a real GError that explains
    why CRTC assignment failed.  This is mainly for debugging,
    not something intended to be seen by users.

    Signed-off-by: Federico Mena Quintero <federico@novell.com>

M	libgnome-desktop/gnome-rr-config.c

commit da969dc613c57e61539a0882b2b775a45410f9de
Author: Ahmed Noor Kader Mustajir Md Eusoff <sir.ade@gmail.com>
Date:	2010-04-06

    Updated Malay translation for gnome-desktop

M	po/ms.po

commit 1ee3019ae5ebf4315ef6a81aa072c0fa09e3cb5e
Author: Jordi Serratosa <jordis.lists@gmail.com>
Date:	2010-04-02

    Fixes to Catalan translation

M	po/ca.po

commit 3b628e0b63d57cfd499c16dc91770b4910a3ccc2
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-03-30

    [release] post-release bump to 2.30.1

M	configure.in

commit 5664876ad99bd856c2341c5e29e190dcbc34bb39
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-03-30

    [release] 2.30.0

M	NEWS
M	README

commit 02a2110544e186f2e8597340d6635af5e5355fc0
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2010-03-09

    Ignore errors when setting the monitor size fails

    Otherwise the front-end application might crash with BadMatch.

    https://bugzilla.gnome.org/show_bug.cgi?id=599914

M	libgnome-desktop/gnome-rr.c

commit abb3475e07a26664781ff69694860b59f9a12aff
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:	2010-03-30

    Dutch translation updated by Wouter Bolsterlee

M	po/nl.po

commit c853a66c63dea6bf86c58c3e5bf40a1c4acc9c3f
Author: Hideki Yamane (Debian-JP) <henrich@debian.or.jp>
Date:	2010-03-30

    Updated Japanese translation.

M	po/ja.po

commit 006183d5227fc6a78a1f61961ee2e1f293a67729
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:	2010-03-27

    Updated Danish translation

M	po/da.po

commit 83835d30de48632d23580cc6c67db340b52e7fdd
Author: Nikos Bakaoukas <nikolaosx1@gmail.com>
Date:	2010-03-27

    Updated Greek translation for gnome-desktop

M	po/el.po

commit d67950353498caaa9bdf1cd6adfec2aa219c7d3f
Author: Jamil Ahmed <itsjamil@gmail.com>
Date:	2010-03-27

    Updated Bengali translation

M	po/bn.po

commit 4ecbd8c42ae8080bf61d5fa1dea69a67e06f1b5f
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-03-27

    Move translator comment to the right place

    It wasn't visible to translators.

    https://bugzilla.gnome.org/show_bug.cgi?id=610571

M	libgnome-desktop/gnome-rr.c

commit 305ca688de0690d0e613d50ad80a5ee91352aa8d
Author: Maxim V. Dziumanenko <dziumanenko@gmail.com>
Date:	2010-03-26

    Updated Ukrainian translation

M	po/uk.po

commit 847aa389d019a23adb7f1f21861d2fccce056440
Author: Maxim V. Dziumanenko <dziumanenko@gmail.com>
Date:	2010-03-26

    Updated Ukrainian translation

M	po/uk.po

commit a708b18d63ac09a98af34701f633f9f640485bdb
Author: Miloš Popović <mpopovic@src.gnome.org>
Date:	2010-03-23

    Updated Serbian translations

M	po/sr.po
M	po/sr@latin.po

commit 1eaf95f6473601d18a4031312c6b9f85bd75a9ac
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2010-03-22

    Updated Polish translation

M	po/pl.po

commit 81269d6d65ae3e54d7e466dcf3c195be24f5779d
Author: Badral Sanligiin <badral@openmn.org>
Date:	2010-03-22

    Updated Mongolian translation

M	po/mn.po

commit f02b837f3f617a1b13b2ddfb567a7a5cbcdfd680
Author: Adi Roiban <adi@roiban.ro>
Date:	2010-03-22

    Update Romanian translation

M	po/ro.po

commit b5b0700d189dd6db661e43bcd526965ca76da98d
Author: vasudeven <agnihot3@gmail.com>
Date:	2010-03-20

    updated Tamil translation

M	po/ta.po

commit 1765a6ea3e72d7c525000a8eaa305536fc0e3cdd
Author: Petr Kovar <pknbe@volny.cz>
Date:	2010-03-20

    Update Czech translation

M	po/cs.po

commit 13cf2ce3fe1df3acc4e0d1d7bff0943094ffbd3d
Author: Reşat SABIQ <tilde.birlik@gmail.com>
Date:	2010-03-18

    Updated Crimean Tatar (Crimean Turkish) translation

M	po/crh.po

commit 5105e259151e7efaab918b1f3940bbb9ed178ae5
Author: Tommi Vainikainen <thv@iki.fi>
Date:	2010-03-18

    Updated Finnish translation

M	po/fi.po

commit f4d73e9d5a8b747bb50573671f848e2fa4808ba1
Author: A S Alam <aalam@users.sf.net>
Date:	2010-03-17

    updating for Punjabi by A S Alam

M	po/pa.po

commit 2de4100ba4e8f2e4de2f9c3487454305f5da9571
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2010-03-16

    Fix crash in gradient handling code

    https://bugzilla.gnome.org/show_bug.cgi?id=606456

M	libgnome-desktop/gnome-bg.c

commit be049e40539b0016e90f2b64380f63933c46b050
Author: Marcel Telka <marcel@telka.sk>
Date:	2010-03-15

    Updated Slovak translation

M	po/sk.po

commit bfaf1c2b4e79bd01c228a48bb999bdfbd3ae9a2e
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2010-03-13

    Updated Italian translation

M	po/it.po

commit 47e6c62d16962f1d2485b840e2a02dffff3d2402
Author: Gil Forcada <gforcada@gnome.org>
Date:	2010-03-13

    Updated Catalan translation

M	po/ca.po

commit 94a98105c8dbf222f9e7b57cf8a7a6347ad61b1d
Author: Denis ARNAUD <denisarnuad@yahoo.fr>
Date:	2010-03-12

    updated breton translation

M	po/br.po

commit 49d12bc1c664898e570b4a87867c0d46265cbffa
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-03-10

    Fix build with -DGSEAL_ENABLE

    The changes are simple here.

M	libgnome-desktop/gnome-rr-labeler.c

commit eb4d87567da0b61fb007d2f91fbf6ddcb6c324dc
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-03-09

    [build] Add gtk-doc build to configure summary

M	configure.in

commit cc8b77561beb73deddeab7e26a9b25d03392cbf4
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-03-09

    [build] Spaces instead of tabs in configure.in

M	configure.in

commit dfd02babc53833d7476f8ed7676e9766c4504590
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-03-09

    [build] Add configure output summary

M	configure.in

commit d175819881538f51a14072b1ef50f216a1de9332
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-03-09

    [build] Really fix build without randr

M	configure.in
M	libgnome-desktop/gnome-rr-config.c
M	libgnome-desktop/gnome-rr-private.h

commit e49bdba1080a9350596e942f5019d607a12d5dd4
Author: Rob Taylor <rob.taylor@codethink.co.uk>
Date:	2010-03-09

    Fix build failure with GTK 2.19+

    GTK_WIDGET_STATE is now deprecated. Replaces use with
    gtk_widget_get_state,
    available as of GTK+ 2.18

M	configure.in
M	libgnome-desktop/gnome-rr-labeler.c

commit 34f0aaa22f5ee4517d06b9b9ed92c853ef774348
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:	2010-03-09

    Updated Portuguese translation

M	po/pt.po

commit 0a9ed4b4281372251c8593601ece66d7541034a8
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-03-08

    [release] post-release bump to 2.30.0

M	configure.in

commit 3def4f9524d73773666285b511ec6de6f62d83ea
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-03-08

    [release] 2.29.92

M	NEWS
M	README

commit f2d2ad73988315529ceab9677e8584f7e20241ce
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2010-03-08

    Drop pixbuf cache before switching slides

    Otherwise, the wrong frame gets shown in the switch.

    http://bugzilla.gnome.org/show_bug.cgi?id=601753

M	libgnome-desktop/gnome-bg.c

commit 2cd24e12c0a1df48491c76e2321f2ef2cd6219d6
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-03-08

    [gnome-about] Add main category to desktop file

    And also add NoDisplay=true since we don't want gnome-about to be
    visible in the menus.

    https://bugzilla.gnome.org/show_bug.cgi?id=599761

M	gnome-about/gnome-about.desktop.in.in

commit 86c08cc7086265e174b145dc66561ec77565c68f
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2010-03-06

    Updated Korean translation

M	po/ko.po

commit e2b005e900c20dd4bc5dde4dd54d60f4efdd24e9
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2010-03-06

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 646620732054771566af4bf8c91bd65247fc4544
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2010-03-05

    Updated Hungarian translation

M	po/hu.po

commit 510c9aa1a806db5ccf665e4592af2393474ab1d8
Author: Gintautas Miliauskas <gintautas@miliauskas.lt>
Date:	2010-03-05

    Updated Lithuanian translation.

M	po/lt.po

commit 3b4a796f778577955d1904884dde56da95076037
Author: Fran Diéguez <frandieguez@ubuntu.com>
Date:	2010-03-05

    Update Galician translation

M	po/gl.po

commit b5286368971463139b93365c6ea6e189ffa1f05f
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2010-03-04

    Updated Basque language

M	po/eu.po

commit e9e1abb9b1a4b973147da11f1c53735596385f8b
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2010-03-04

    Fix a segfault

    Since output_free() frees display_name, we always have to dupe it.

M	libgnome-desktop/gnome-rr-config.c

commit b0ceb791fecc07aa0a77fd641fc5d7357368aaba
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-03-04

    Fix build with GNOME_DISABLE_DEPRECATED

    We need to undefine GNOME_DISABLE_DEPRECATED in gnome-rr.c to
    make sure
    all definitions of functions in gnome-rr.h are seen.

M	libgnome-desktop/gnome-rr.c

commit a49f574059c23fcb72f354993b1764a73ff2d1f8
Author: Leonid Kanter <leon@asplinux.ru>
Date:	2010-03-04

    Update Russian translation by Yury Kozlov

M	po/ru.po

commit 9255c9244e34f0bb662b172ef5314409208b1e64
Author: Nils-Christoph Fiedler <fiedler@medienkompanie.de>
Date:	2010-03-04

    Added LowGerman translation

M	desktop-docs/gpl/Makefile.am

commit 1dc971f45ff89fdc69daef042874fe4afb8adfc0
Author: Nils-Christoph Fiedler <fiedler@medienkompanie.de>
Date:	2010-03-04

    Added LowGerman translation

M	desktop-docs/ChangeLog.pre-git

commit 12f3289e1be0ac766a2cb0d733afac89bb90f984
Author: Nils-Christoph Fiedler <fiedler@medienkompanie.de>
Date:	2010-03-04

    Added LowGerman translation

A	desktop-docs/gpl/nds/nds.po

commit cd626c53ae81a133f08cda45e4c0cc54f8d3196d
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2010-03-03

    Updated Norwegian bokmål translation

M	po/nb.po

commit 8c25f6a54dd170407902e24b68bfe55792e4694d
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:	2010-03-01

    Updated Thai translation.

M	po/th.po

commit 104995df90342d21e6a33569aa6c1ce1df70c675
Author: Daniel Nylander <po@danielnylander.se>
Date:	2010-02-28

    Updated Swedish translation

M	po/sv.po

commit 4f64a20a7ffe3f7057913f79086f7e7dbedd4a96
Author: Torstein Adolf Winterseth <kvikende@yahoo.no>
Date:	2010-02-27

    Updated Norwegian Nynorsk translation

M	po/nn.po

commit 3546341922a237e7cd24781360f6647f51f917fc
Author: Claude Paroz <claude@2xlibre.net>
Date:	2010-02-27

    Updated French translation

M	po/fr.po

commit 248bf499ceadcd7bcc426c7071ce6e5076fd56b9
Author: Antonio Fernandes C. Neto <fernandes@pelivre.org>
Date:	2010-02-25

    Updated Brazilian Portuguese translation

    Reviewer: Vladimir Melo <vmelo@gnome.org>

M	po/pt_BR.po

commit 5f9ce3c0f1ee7b11ff256ed437f700d899663d8f
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2010-02-25

    Updated Polish translation

M	po/pl.po

commit 2712db7526a07d0179d38acfd648ba1fde004e9b
Author: Bruce Cowan <bcowan@fastmail.co.uk>
Date:	2010-02-24

    Updated British English translation

    Actually do it this time

M	po/en_GB.po

commit 22564c4d2e4ff9a564b9bf329af72920ea8c2452
Author: Bruce Cowan <bcowan@fastmail.co.uk>
Date:	2010-02-24

    Updated British English translation

M	po/en_GB.po

commit 4f1355bdbdb085d322b8663dec6769b514061054
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2010-02-23

    Updated German translation

M	po/de.po

commit 1755b13e15ee60853276219cbcfbab63df679826
Author: Alexander Shopov <ash@contact.bg>
Date:	2010-02-23

    Updated Bulgarian translation

M	po/bg.po

commit 113d717602f8c82e905a90676490a4e5e5beb100
Author: Ivar Smolin <okul@linux.ee>
Date:	2010-02-23

    Estonian translation updated

M	po/et.po

commit 25268c607f8ab377f5e52bfd817450241919649b
Author: Federico Mena Quintero <federico@novell.com>
Date:	2010-02-22

    bgo#554263 - Allow compiling without RANDR libraries

    In this case, the crucial gnome_rr_screen_new() will simply return
    NULL and a GError.

    Signed-off-by: Federico Mena Quintero <federico@novell.com>

M	libgnome-desktop/gnome-rr-private.h
M	libgnome-desktop/gnome-rr.c

commit c88abbcac03b81b1d887038ff457bd9f0ca9570d
Author: Federico Mena Quintero <federico@novell.com>
Date:	2010-02-22

    Check for the RANDR library separately in configure.in

    We will support compiling without RANDR, for MacPorts and ancient
    systems.

    Signed-off-by: Federico Mena Quintero <federico@novell.com>

M	configure.in

commit 60f318f3d5a890c267160562f54a048d862def18
Merge: 4886011 019e6a7
Author: Federico Mena Quintero <federico@novell.com>
Date:	2010-02-22

    Merge branch 'randr-connector-type'

    This adds two new APIs:

    gnome_rr_output_get_connector_type()
    gnome_rr_output_is_laptop()

    These will be used by gnome-settings-daemon/plugins/xrandr and
    gnome-control-center/capplets/display.

commit 019e6a765c1df05ad2571f803e4dfc49de5d164f
Author: Federico Mena Quintero <federico@novell.com>
Date:	2010-02-22

    Bump LT_VERSION for the added gnome-rr APIs

    gnome_rr_output_get_connector_type()
    gnome_rr_output_is_laptop()

    Signed-off-by: Federico Mena Quintero <federico@novell.com>

M	configure.in

commit 6b28613b1fd759c8ab9b72a54c8684197e94e53a
Author: Federico Mena Quintero <federico@novell.com>
Date:	2010-02-22

    Oops, free the prop in the error case as well

    Signed-off-by: Federico Mena Quintero <federico@novell.com>

M	libgnome-desktop/gnome-rr.c

commit 4886011dead4492568b22eb448e8e44af9408707
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2010-02-22

    Updated Spanish translation

M	po/es.po

commit b67d48ec48c110f71b3c1e5cf0904f01edd20aca
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-02-22

    [release] post-release bump to 2.29.92

M	configure.in

commit 3f6659fffa71d87bfb2bb54ff267af4a60cffbc9
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-02-22

    [release] 2.29.91

M	NEWS
M	README
M	configure.in

commit 7fdb4021f379522d5ebf607dd96122cbd9570292
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-02-22

    Updated Slovenian translation

M	po/sl.po

commit ee4c429acdcbe62d4f0fb6108e1b3177e85dbe41
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2010-02-22

    Updated Slovenian translation

M	po/sl.po

commit e388b6eadc40bb85bae726203406b385c573ac91
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-02-22

    Add translator comment

    https://bugzilla.gnome.org/show_bug.cgi?id=610567

M	libgnome-desktop/gnome-desktop-item.c

commit 5c5aebb6fc9d06273c1048fa1847c53218eb8137
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2010-02-22

    Updated Arabic translation

M	po/ar.po

commit 068461b3d4216eaca47adc7bf4ff4eb546e80f60
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-02-22

    Add translator comments, and a context for one string

    https://bugzilla.gnome.org/show_bug.cgi?id=610566
    https://bugzilla.gnome.org/show_bug.cgi?id=610571

M	libgnome-desktop/display-name.c
M	libgnome-desktop/gnome-rr.c

commit ee4e55fbc2d8bf4faef96f02183c417f64f79946
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-02-22

    Improve error string

    https://bugzilla.gnome.org/show_bug.cgi?id=610568

M	libgnome-desktop/gnome-desktop-item.c

commit 14c78662f95e2885bbf35ff6ba3f150ed749eef7
Author: Federico Mena Quintero <federico@novell.com>
Date:	2010-02-19

    Build a laptop's display name more robustly

    Use gnome_rr_output_is_laptop(), which has better logic
    than what was in make_display_name().  Now that latter function
    just builds display names based on vendor names.

    Signed-off-by: Federico Mena Quintero <federico@novell.com>

M	libgnome-desktop/display-name.c
M	libgnome-desktop/edid.h
M	libgnome-desktop/gnome-rr-config.c

commit f9e4d4e7017b97204502dc89356d85e121ca41cd
Author: Federico Mena Quintero <federico@novell.com>
Date:	2010-02-19

    Add gnome_rr_output_is_laptop()

    Detecting a laptop's built-in LCD takes some trickery, so we now
    have a function to do it.

    You would think that all versions of RANDR would make this easy,
    but noooooo, why cater to userspace's needs when you can just
    throw together APIs without ever thinking of how people may
    need to use them.

    Signed-off-by: Federico Mena Quintero <federico@novell.com>

M	libgnome-desktop/gnome-rr.c
M	libgnome-desktop/libgnomeui/gnome-rr.h

commit 6f57fded4ab4a409795c8d97f998dbefe8998db9
Author: Federico Mena Quintero <federico@novell.com>
Date:	2010-02-19

    Add gnome_rr_output_get_connector_type()

    We will need this to identify a laptop's built-in LCD robustly when
    RANDR 1.3 is present.

    Signed-off-by: Federico Mena Quintero <federico@novell.com>

M	libgnome-desktop/gnome-rr-private.h
M	libgnome-desktop/gnome-rr.c
M	libgnome-desktop/libgnomeui/gnome-rr.h

commit 8eb0886312751054e2e6d9b10eedbb0ddf180deb
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2010-02-18

    Add a picture option to make the background span monitors

    This feature was lost in 2.28, and people miss it. See bug 603551.

M	libgnome-desktop/gnome-bg.c
M	libgnome-desktop/libgnomeui/gnome-bg.h

commit e07bde7f2c2208b62c46f5669e59a98e5cc26b9b
Author: Fran Diéguez <frandieguez@ubuntu.com>
Date:	2010-02-15

    Updated Galician translation

M	po/gl.po

commit 9a2c931869214d5113e3c9246cc36c094bd211fe
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2010-02-14

    Fix a memory leak

    This was reported in bug 590455

M	libgnome-desktop/gnome-bg.c

commit 3babd4a7409c4c987a0721026b85785e504ed9ee
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-02-09

    [release] post-release bump to 2.29.91

M	configure.in

commit 9205f91a878b9d009139991d2f86732ae6fcc066
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-02-09

    [release] 2.29.90

M	NEWS
M	README
M	configure.in

commit 60e6f6392bc20e3d66e4be4a73e5ef4baf67c9f1
Author: Umarzuki Bin Mochlis Moktar <umarzuki@gmail.com>
Date:	2010-02-06

    Updated Malay translation

M	po/ms.po

commit 6d76afefa1c150827dada60f4d8943241aa239c8
Author: Marios Zindilis <m.zindilis@dmajor.org>
Date:	2010-02-05

    Updated Greek translation

M	po/el.po

commit 9ce0c8ef1753035c4dabb9d40cc67ecfa1d03a62
Author: Anousak Souphavanh <anousak@gmail.com>
Date:	2010-02-02

    Updated Lao translation

M	po/lo.po

commit 1fe1262aee8a763dd980b3441d0ebe0b96c166f8
Author: Torstein Adolf Winterseth <kvikende@yahoo.no>
Date:	2010-01-28

    Updated Norwegian Nynorsk translation

M	po/nn.po

commit abed95d6dd11d73106b2ae556a3e1b97153e8542
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-01-27

    [release] post-release bump to 2.29.90

M	configure.in

commit e7290c3ab34e339e11f0fc58582f346b61ac22f5
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-01-27

    [release] 2.29.6

M	NEWS
M	README

commit 98a83f884c46b1955cb817bd1673d97b25d527ed
Author: Jamil Ahmed <itsjamil@gmail.com>
Date:	2010-01-22

    Updated Bengali translation

M	po/bn.po

commit 33b23b2a30309ad9fb745ed973cb4fd76cfc8fad
Author: Erdal Ronahi <erdal.ronahi@gmail.com>
Date:	2010-01-16

    Updated Kurdish translations

M	po/ku.po

commit 94e5547c460465872650f6013c8cb230f7057966
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-01-12

    [release] post-release bump to 2.29.6

M	configure.in

commit cab2ec6ef28c2c1d0ec8fb597892faefe803a303
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-01-12

    [release] 2.29.5

M	NEWS
M	README

commit 2692baee971d7f80a6e4da0538ecec64b2e319bd
Author: Vincent Untz <vuntz@gnome.org>
Date:	2010-01-05

    [misc] Bump soname since ABI was broken

    The per-monitor backgrounds commit (303111fc) changes an API.

M	configure.in

commit 027292acdc3e303e6a7edfbc68395a41466f2a39
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2009-12-22

    Bump version

M	configure.in

commit a6efab3423865e3603a9ba05e4ef566dc2736b9c
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2009-12-22

    2.29.4

M	NEWS

commit af477956ddd06e3821bbcc3e9337a637fe91584a
Author: William Jon McCann <jmccann@redhat.com>
Date:	2009-12-15

    Fix refcounting issues leading to leaks

    Removes a FIXME by expecting all get_ functions to return refs.

M	libgnome-desktop/gnome-bg.c

commit 5a080e8f12ed6da1b1d1df545d15870742b99c2b
Author: William Jon McCann <jmccann@redhat.com>
Date:	2009-12-11

    Fix drawing gradients and always clip to the monitor region

M	libgnome-desktop/gnome-bg.c
M	libgnome-desktop/libgnomeui/gnome-bg.h

commit c68c8122a761fe22f09d56dbf863eeaaabd4a3ee
Author: William Jon McCann <jmccann@redhat.com>
Date:	2009-12-10

    don't try to scale null images

M	libgnome-desktop/gnome-bg.c

commit 303111fc48a74addbf408ddd47d6d88ca43b5e45
Author: William Jon McCann <jmccann@redhat.com>
Date:	2009-11-08

    Add per-monitor backgrounds support

    The idea of this is to draw backgrounds to fit each monitor
    individually instead of filling the entire root window of the
    screen with a single image stretched across monitors.

    Based on a patch by Chris Wright <dhasenan@gmail.com>
    Fixes https://bugzilla.gnome.org/show_bug.cgi?id=147808

M	libgnome-desktop/gnome-bg.c
M	libgnome-desktop/libgnomeui/gnome-bg.h

commit ead3ad9c1b38ad69b29b1237dadc40aa22050ac8
Author: Tao Wei <weitao1979@gmail.com>
Date:	2009-12-09

    Update Simplified Chinese translation.

M	po/zh_CN.po

commit b03ff79cb96b54190623f3693198df6c9774a8d3
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-12-01

    [release] post-release bump to 2.29.4

M	configure.in

commit 0f39343c08180da6a928b823742b97fd0f49b409
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-12-01

    [release] 2.29.3

M	NEWS
M	README
M	configure.in

commit 84d17f73a92fe49eb2f79ae7d3b0e521f852e06e
Author: Pascal Terjan <pterjan@mandriva.com>
Date:	2009-11-27

    Avoid duplicating version number in configure.in

    2.28.1 was released with GNOME_MINOR set to 0 so gnome-about displays
    2.28.0 instead of 2.28.1

    To avoid this issue this patch only defines the values once

    Signed-off-by: Pascal Terjan <pterjan@mandriva.com>

M	configure.in

commit 413256f9bc4346f12ee4f97ed73c3ee9fc6e830a
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-11-16

    [release] post-release bump to 2.29.3

M	configure.in

commit 1c57245a8918548d94b8832b19a255888474173f
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-11-16

    [release] 2.29.2

M	NEWS
M	README
M	configure.in

commit 1acd7255c4b240767ee09ccd4788d2e9fc6a88ca
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2009-11-02

    Bump version to 2.29.0

M	configure.in

commit 3bb827f0afb04b351413db0d6efd1157ca992ab9
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2009-11-02

    Add gamma api

    This is just a thin wrapper around the XRANDR 1.3 gamma handling.
    It will be used by gnome-screensaver for proper gamma fading.

    Patch by David Airlie. See bug 597874.

M	libgnome-desktop/gnome-rr.c
M	libgnome-desktop/libgnomeui/gnome-rr.h

commit 6046be8176d36d91451fdf85a1321546b0b05e4b
Author: Thomas Thurman <tthurman@gnome.org>
Date:	2009-10-31

    Shavian translation

M	po/LINGUAS
A	po/en@shaw.po

commit 8ba5e616ceb10ae8f1138eaa550ec65742195b78
Author: Federico Mena Quintero <federico@novell.com>
Date:	2009-09-20

    Allow rotation if the virtual size has the correct number of pixels

    We checked for the rotated size actually fitting in the virtual size;
    now we just check for the virtual size having the required number
    of pixels.

    Signed-off-by: Federico Mena Quintero <federico@novell.com>

M	libgnome-desktop/gnome-rr-config.c

commit 601e7e8e276c24e5f72ec236741903447a34d751
Author: Nils-Christoph Fiedler <linux@medienkompanie.de>
Date:	2009-10-22

    Updated Low German translation

M	po/nds.po

commit 7631d5456897a315f58c6513098d37158401d687
Author: Frédéric Péters <fpeters@0d.be>
Date:	2009-10-22

    [release] post release bump to 2.28.2

M	configure.in

commit ba590ae234390af999b92568b0c38698ed2c2c08
Author: Frédéric Péters <fpeters@0d.be>
Date:	2009-10-22

    [release] 2.28.1

M	NEWS

commit 8947b354e617d0b93ef7ee6d33630556909bbe82
Author: Frédéric Péters <fpeters@0d.be>
Date:	2009-10-22

    [build] Use tar-ustar when disting

    Otherwise files with long names don't get in the tarball.

M	configure.in

commit dea2f8318c3d92a90cd87c6a3d6d93eb1401259a
Author: Reşat SABIQ <tilde.birlik@gmail.com>
Date:	2009-10-21

    Update for Crimean Tatar (Crimean Turkish) translation

M	po/crh.po

commit 5804f80c330924e0ce2b0ed61944e57f97190bb5
Author: Leonid Kanter <leon@asplinux.ru>
Date:	2009-10-20

    Updated Russian translation

M	po/ru.po

commit 7fa42b6e954a07d6c9ea88d5aa218d72e082dc8f
Author: Leonid Kanter <leon@asplinux.ru>
Date:	2009-10-20

    Updated Russian translation

M	po/ru.po

commit 45f7f77f3a6edea913b2cdc614ab5ac7c26d9e90
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	2009-10-12

    Updated Hebrew translation

M	po/he.po

commit 79dbd249d3ee28835f86cf2c05c86b07cac5c65c
Author: Sveinn í Felli <sveinki@nett.is>
Date:	2009-10-02

    Updated Icelandic translation

M	po/is.po

commit 84332e2640d8fcc542a3331accdd35edc743b41a
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-09-21

    [release] post-release bump to 2.28.1

M	configure.in

commit b5a7fc0bcc4f10cfbc258991c3afc7684b66416b
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-09-21

    [release] 2.28.0

M	NEWS
M	README
M	configure.in

commit a05895d8be84853b874b1f6e76b9cb2441cb0270
Author: Amitakhya Phukan <aphukan@fedoraproject.org>
Date:	2009-09-21

    Updating Assamese translations

M	po/as.po

commit 80259d1ee912ed7626745f74e8579f5295da2cba
Author: Petr Kovar <pknbe@volny.cz>
Date:	2009-09-21

    Updated Czech translation

M	po/cs.po

commit 506a4de31d1dfee77c529b829135f874780f33f6
Author: Rajesh Ranjan <rranjan@rranjan.csb>
Date:	2009-09-20

    maithili update, translated by Sangeeta Kumari

M	po/mai.po

commit c46c458d6b32f3c4c46d3663ad0eaf9b4ed8dd5b
Author: Gil Forcada <gforcada@gnome.org>
Date:	2009-09-19

    Updated Catalan translation

M	po/ca.po

commit a15b9289eef6b2574c6e2dfaf0ea81eecb2c7e90
Author: Daniel Nylander <po@danielnylander.se>
Date:	2009-09-19

    Updated Swedish translation

M	po/sv.po

commit 907892757d76c02f4042fdf10d25a1ad5adb5c85
Author: krishnababu k <kkrothap@redhat.ocm>
Date:	2009-09-17

    Updated Telugu Translation

M	po/te.po

commit 275b28ab1e570bbb804d7b1885d906358fd806b7
Author: Maxim V. Dziumanenko <dziumanenko@gmail.com>
Date:	2009-09-17

    Added Ukrainian translation

M	po/uk.po

commit 0b6c700435da3e439a41a37b84d2ed6f0b4cc640
Author: Niels-Christoph Fiedler <linux@medienkompanie.de>
Date:	2009-09-16

    Updated German translation

M	po/nds.po

commit 2c114d44eeb43af8838abbbf06ed2177e773ec00
Author: Rajesh Ranjan <rranjan@rranjan.csb>
Date:	2009-09-16

    hindi update by Rajesh Ranjan

M	po/hi.po

commit 8acb23e20909ed0c95906a32273b7a0259c5e329
Author: Shankar Prasad <svenkate@redhat.com>
Date:	2009-09-16

    Updated Kannada(kn) translation

M	po/kn.po

commit 323633c197c5e4cfe159c9e9ba4d495955908635
Author: Gintautas Miliauskas <gintautas@miliauskas.lt>
Date:	2009-09-15

    Updated Lithuanian translation.

M	po/lt.po

commit b613ab7106295c488282d614cb535d3303a2d873
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2009-09-14

    Korean translation update

M	po/ko.po

commit aa46ecb91075ccc646d55248fc8b77c0b2f059e0
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:	2009-09-13

    Updated Japanese translation

M	po/ja.po

commit 9215e0bcd1103fe82ba76c2e7bce6be8aeda4c63
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:	2009-09-13

    Updated Danish translation

M	po/da.po

commit 34187290d7d1c0a54b563865d9922d841c9325d2
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:	2009-09-12

    Updated British English translation

M	po/en_GB.po

commit 5bcb7dfd1bf628abf08d08222f09aac11b221696
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2009-09-13

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 19957fdb3f4abd5b141b905f0723977a4e34e8ff
Author: Tommi Vainikainen <thv@iki.fi>
Date:	2009-09-12

    Updated Finnish translation

M	po/fi.po

commit 3d2d01a84c343b9478f3982a8dfbae58c5a93d7b
Author: Ani <peter.ani@gmail.com>
Date:	2009-09-12

    Updaeted Malayalam Translations

M	po/ml.po

commit ff088fededff8cc10706b7b9011fccda0a965da4
Author: Sandeep Shedmake <sshedmak@redhat.com>
Date:	2009-09-11

    Updated Marathi Translations

M	po/mr.po

commit 51be1290a829d69bf3693dc21da8e59008eb9ed0
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2009-09-11

    Updated Slovenian translation

M	po/sl.po

commit b55463ba2790d44d93a5460112fb1733e5bfb949
Author: A S Alam <aalam@users.sf.net>
Date:	2009-09-11

    Updating Translation for Punjabi

M	po/pa.po

commit 334f00169e97a64b6deed94590e3cffbce41cc3f
Author: Adi Roiban <adi@roiban.ro>
Date:	2009-09-10

    Updated Romanian translation

M	po/ro.po

commit 36d4f708cd71dd46445d249a362f4745d665b43c
Author: Denis ARNAUD <darnaud@src.gnome.org>
Date:	2009-09-09

    Updated breton translation

M	po/br.po

commit 9e557e82d0930cb6c40ceeb1c6d13cd9f9fa53c7
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-09-09

    [release] post-release bump to 2.28.0

M	configure.in

commit 7efc22b8b11ce9f22ce21f9ede170f5e749f270e
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-09-09

    [release] 2.27.92

M	NEWS
M	README
M	configure.in

commit c43bae7a5d6f30be616861c01e463d51e5c58eb2
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	2009-09-07

    Hungarian translation updated

M	po/hu.po

commit f49e6d7129fd1afe6a3f1757711dfef060b54ee8
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2009-09-05

    Updated Arabic translation

M	po/ar.po

commit dad1b506a6154c2d1b64b63fb21d8b9e6789a97e
Author: Rodrigo L. M. Flores <rlmflores@src.gnome.org>
Date:	2009-08-30

    Updated Brazilian Portuguese mailing list address.

M	po/pt_BR.po

commit 6c52a9a0862f776cba41afb63e93e47ccb9c5f63
Author: Baris Cicek <baris@teamforce.name.tr>
Date:	2009-08-30

    Updated Turkish translation.

M	po/tr.po

commit 054595c8210cf545d41ccd1f728f08a0b6ea89ea
Author: Claude Paroz <claude@2xlibre.net>
Date:	2009-08-28

    Updated French translation

M	po/fr.po

commit c1d5789c9ac0d5f5460777a06e213be74cf55372
Author: Runa Bhattacharjee <runab@redhat.com>
Date:	2009-08-28

    Updated Bengali India Translations

M	po/bn_IN.po

commit 62a4eeee4150d4757c87563d27cc525a18f7cd24
Author: Miloš Popović <mpopovic@src.gnome.org>
Date:	2009-08-28

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 27e3e95f9bed3df45354b4820c24d2d4bff34703
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:	2009-08-27

    Updated Portuguese translation

M	po/pt.po

commit 6c8d4443f26386ae3c2fe52b386e5b54111d2ecb
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2009-08-26

    Updated Basque language

M	po/eu.po

commit 2adba4335f92fd488a3883596995c2b4fc1ed11b
Author: Tomasz Dominikowski <dominikowski@gmail.com>
Date:	2009-08-25

    Updated Polish translation

M	po/pl.po

commit 8fd108897d21a08302e01c7c9d902bbf2de9057d
Author: Jonh Wendell <jwendell@gnome.org>
Date:	2009-08-25

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 5c6a0b8fae055dd47a4c433956d90ba5ee6095c6
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-08-25

    [release] post-release bump to 2.27.92

M	configure.in

commit 6819a271c25ea378400f2170e7fae63758db6ace
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-08-25

    [release] 2.27.91

M	NEWS
M	README
M	configure.in

commit e231488f8b1c3316e95a6e20c43850729d940c13
Author: Frédéric Péters <fpeters@0d.be>
Date:	2009-08-22

    Remove deprecated Encoding key from desktop file

M	gnome-about/gnome-about.desktop.in.in

commit f16ac4d0f4de6710cba588d939d8201b362b88c3
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-08-25

    [misc] Fix tab/space issue

M	libgnome-desktop/libgnomeui/gnome-bg.h

commit 229159505391c96bf1021defcda58a7addb34d6f
Author: Manoj Kumar Giri <mgiri@mgiri.csb>
Date:	2009-08-25

    Updated Oriya Translation

M	po/or.po

commit 9786aeeb246af616a784ac6347e9844b46e6c67d
Author: ifelix <ifelix@redhat.com>
Date:	2009-08-25

    Updated Tamil Translations

M	po/ta.po

commit 946378c537a6684432f9e45a2724b1024d70c219
Author: Sweta Kothari <swkothar@redhat.com>
Date:	2009-08-25

    Updated Gujarati Translations

M	po/gu.po

commit 9d356a62ea183c0ecae37c5b69864895e3b11f17
Author: Andre Klapper <a9016009@gmx.de>
Date:	2009-08-24

    Change nds_NFE to nds as discussed on irc

M	po/LINGUAS
R100	po/nds_NFE.po	po/nds.po

commit bacc2f9e8324077b955ec1a0c1bf99f5e28bcd14
Author: Mario Blättermann <mariobl@gnome.org>
Date:	2009-08-23

    Updated German translation

M	po/de.po

commit 28611b60ea521606ff0983b4ef9e8caca8998195
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:	2009-08-23

    Updated Thai translation.

M	po/th.po

commit 55a8db3d0cbcebf89b210f2ff8a3e99862ae7214
Author: Nils-Christoph Fiedler <linux@medienkompanie.de>
Date:	2009-08-22

    Added Low German translation

M	po/LINGUAS
A	po/nds_NFE.po

commit e1e27c4733036c3fc31e9eb87f07704f758e2734
Author: Alexander Shopov <ash@contact.bg>
Date:	2009-08-22

    Updated Bulgarian translation

M	po/bg.po

commit 9d1d7ebc5f6911cf498b2090f27c97356a83f820
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:	2009-08-22

    Updated Spanish translation

M	po/es.po

commit 802dfd227d4bcb8f17a797d1412292c2e867b500
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	2009-08-21

    Updated Arabic translation

M	po/ar.po

commit 601d6dd6a57e28b7037265ece9deb86918c82a00
Author: Seán de Búrca <leftmostcat@gmail.com>
Date:	2009-08-21

    Updated Irish translation

M	po/ga.po

commit 9e9d96c6b7b8d1899e771077dff0ae966c39c7f3
Author: Daniel Nylander <po@danielnylander.se>
Date:	2009-08-20

    Updated Swedish translation

M	po/sv.po

commit 519a22130c552d84709a76706356ee23c2f27f7d
Author: Ivar Smolin <okul@linux.ee>
Date:	2009-08-20

    Updating Estonian translation

M	po/et.po

commit cc9e43d45dbf7bb73810f237bce90f4f7bc51c5f
Author: Anton Meixome <meixome@mancomun.org>
Date:	2009-08-20

    Updated Galician Translation

M	po/gl.po

commit d12c92dd68b1d1ff8fd5f475e1b20af778c7894f
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2009-08-19

    Updated Norwegian bokmål translation.

M	po/nb.po

commit bb28bd4c965e8d1cf8961ead21a40b0c9eff9cf0
Author: Luca Ferretti <elle.uca@libero.it>
Date:	2009-08-19

    Updated Italian translation

M	po/it.po

commit 46f8ea3ff83c58381bcb72e122129abd6e6064a0
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2009-08-19

    Add missing files to POTFILES.in

M	po/POTFILES.in

commit 28b46e27cfd812460cfa3994b90461793b6c940a
Author: Seán de Búrca <leftmostcat@gmail.com>
Date:	2009-08-16

    Updated Irish translation

M	po/ga.po

commit 28553aa57508b43d7eeb1f03a2a3dd06f4b45623
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2009-08-15

    Add more slideshow api

    Add a function to allow 'single-stepping' through a slideshow.

M	libgnome-desktop/gnome-bg.c
M	libgnome-desktop/libgnomeui/gnome-bg.h

commit 62f11468d5d338828237eca0490d641255172e4c
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2009-08-15

    Add slideshow api

    Add a function to determine if a GnomeBG is a slideshow or not,
    in analogy to the existing function that determines if a GnomeBG
    is a multi-resolution image. See bug 591633.

M	libgnome-desktop/gnome-bg.c
M	libgnome-desktop/libgnomeui/gnome-bg.h

commit 8d80f13f2cad3898eed2fce30d4a5e3c1903c553
Author: Federico Mena Quintero <federico@novell.com>
Date:	2009-08-10

    bgo#591225 - In the .c files, ifdef-out deprecated entry points
    with GNOME_DISABLE_DEPRECATED_SOURCE

    Signed-off-by: Federico Mena Quintero <federico@novell.com>

M	libgnome-desktop/gnome-rr-config.c
M	libgnome-desktop/gnome-rr.c

commit 3b36ff31059144b57e5b63462970cbef827cb065
Author: Łukasz Jernaś <deejay1@srem.org>
Date:	2009-08-07

    Updated Polish translation

M	desktop-docs/fdl/Makefile.am
A	desktop-docs/fdl/pl/pl.po

commit 4c9b81e7a8f6a27f0e67405eedb4bc844931097a
Author: Federico Mena Quintero <federico@novell.com>
Date:	2009-08-05

    Include gi18n-lib.h

M	libgnome-desktop/gnome-rr-labeler.c

commit 5f6345d801add47baace850e6498fa2b79972ba0
Author: Federico Mena Quintero <federico@novell.com>
Date:	2009-08-05

    GnomeRRLabeler - in clone mode, don't label each output so the little
    windows don't overlap

    Instead, we create a single window that says 'Mirror Screens',
    which will be naturally
    shown on every monitor.

    Signed-off-by: Federico Mena Quintero <federico@novell.com>

M	libgnome-desktop/gnome-rr-labeler.c

commit 70357511ebb034ce6fd19a328e36c62d46297f0d
Author: Denis Arnaud <darnaud@src.gnome.org>
Date:	2009-07-31

    Updated breton translation

M	po/br.po

commit 3f77765aab1eb618ee6c3b1d66dd3f4e63cf6206
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2009-08-03

    Updated Norwegian bokmål translation.

M	po/nb.po

commit ac466a59aa7b68d1502431a634fce788c176007f
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2009-07-08

    primary monitory support

    Add support for marking an output as 'primary', when using Xrandr 1.3.
    See bug 588040.

M	libgnome-desktop/gnome-rr-config.c
M	libgnome-desktop/gnome-rr.c
M	libgnome-desktop/libgnomeui/gnome-rr.h

commit a55608b35ad8d17af86a303795c6b3f777b2dfcc
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2009-07-08

    primary monitory support

    Add support for marking an output as 'primary', when using Xrandr 1.3.
    See bug 588040.

M	libgnome-desktop/gnome-rr-config.c
M	libgnome-desktop/gnome-rr-private.h
M	libgnome-desktop/gnome-rr.c
M	libgnome-desktop/libgnomeui/gnome-rr-config.h
M	libgnome-desktop/libgnomeui/gnome-rr.h

commit b5e9326c3c8b3e744603816d3a234af5a442e5bb
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-07-29

    [build] Beautify a bit the pnp.ids part in Makefile

M	libgnome-desktop/Makefile.am

commit b2c107001ea0810773f4fad755a26f61fa2f83fd
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-07-29

    [misc] Update commit guidelines for referencing bugs

M	ChangeLog

commit 2501683b8bd045d0764a139aafe21730a20e22d0
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-07-28

    [release] post-release bump to 2.27.90

M	configure.in

commit 7927f578d6aea16ce2335fd92922eb22e0a99b6c
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-07-28

    [release] 2.27.5

M	NEWS
M	README
M	configure.in

commit eaad3f4f30dd04b94346957bb22770cd9ffaf8ee
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-07-28

    [build,gnomerr] Ship pnp.ids in the tarball and add configure option

    The --with-pnp-ids-path option lets distributors decide to use
    a pnp.ids
    file that is external to gnome-desktop. By default, we just use a file
    that is shipped with the tarball (and that is updated during
    autogen.sh).

M	autogen.sh
M	configure.in
M	libgnome-desktop/Makefile.am
M	libgnome-desktop/display-name.c

commit 8df716ec157fe9e7a730642e8ecc972ca6e5d788
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2009-07-28

    [gnomerr] Get monitor vendor name from pnp.ids

    pnp.ids is currently shipped in hwdata.

    http://bugzilla.gnome.org/show_bug.cgi?id=581621

M	libgnome-desktop/display-name.c

commit 81b505569a864fbdfed00c19802f53402b29a4f7
Author: Dan Winship <danw@gnome.org>
Date:	2009-07-10

    [thumbnail] Fix thumbnailer thread-safety

M	libgnome-desktop/gnome-desktop-thumbnail.c

commit 553c64a4f9714e969e4b91e42d2331ed5abb0c66
Author: Frédéric Péters <fpeters@0d.be>
Date:	2009-07-18

    Remove libgnome usage

    http://bugzilla.gnome.org/show_bug.cgi?id=586489

M	gnome-about/gnome-about.in

commit 21a15e733a59d1cf06e511ec3c98d83011c470d1
Author: Aron Xu <aronxu@gnome.org>
Date:	2009-07-26

    Updated Simplified Chinese translation.

M	po/zh_CN.po

commit 5b20f57e483b8ada2da840c0752d98aac296d66f
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-07-21

    [build] Use silent-rules instead of shave for quiet build

M	configure.in
M	gnome-about/Makefile.am
D	m4/shave.m4
D	shave-libtool.in
D	shave.in

commit ed74fda1d51da035ddf795bb56e224cf21012f69
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-07-15

    [release] post-release bump to 2.27.5

M	configure.in

commit c3b375697abe07cc85c7b5f364497c73348366ef
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-07-15

    [release] 2.27.4

M	NEWS
M	README
M	configure.in

commit d9f0cca94f16628cb273cadfe25bd5998ac3c178
Author: Adam Jackson <ajax@redhat.com>
Date:	2009-07-07

    Adapt to RANDR 1.3's name for the EDID property.

    1.2 calls it EDID_DATA, 1.3 calls it EDID.	Try the 1.3 name first
    since
    1.2 will eventually be rare.

M	libgnome-desktop/gnome-rr.c

commit 9dd1537589c028fb8bd9ec557a4b3f06bc2a3b39
Author: Joan Duran <jodufi@gmail.com>
Date:	2009-06-26

    Added Catalan translation

M	desktop-docs/fdl/Makefile.am
A	desktop-docs/fdl/ca/ca.po

commit 55e3012d99850a0eacf2fc5bf51408d26d676e20
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-06-16

    [release] post-release bump to 2.27.4

M	configure.in

commit 2ead779430da93103cca4d41adaec5feb54beac9
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-06-16

    [release] 2.27.3

M	NEWS
M	README
M	configure.in

commit 456077442f9eb9e6cd3ded12e931123007c8e392
Author: Ivar Smolin <okul@linux.ee>
Date:	2009-06-09

    Updating Estonian translation

M	po/et.po

commit 586ecbbc7f8d4192b7c89be6fe7a22ddf2bd027e
Author: Federico Mena Quintero <federico@novell.com>
Date:	2009-05-31

    Comments to clarify the meaning of 'on', 'connected', 'clone'

    Signed-off-by: Federico Mena Quintero <federico@novell.com>

M	libgnome-desktop/libgnomeui/gnome-rr-config.h

commit f0dd08333c8097b68f86dd7c2e10b5d82dda10b9
Author: Federico Mena Quintero <federico@novell.com>
Date:	2009-06-08

    Utility dialog to show the RANDR timestamps, for debugging purposes

    Signed-off-by: Federico Mena Quintero <federico@novell.com>

M	libgnome-desktop/gnome-rr.c

commit 2f9ef4cd8b48b86f6c7892ee587fde3f18cdd511
Author: Federico Mena Quintero <federico@novell.com>
Date:	2009-05-29

    First update screen resources, then update the screen size range

    Inside the X server, RRGetScreenSizeRange depends on information
    that was fetched
    from a RRGetScreenResources.  So, we update the screen resources
    first to ensure
    that we get up-to-date info for the screen size range.

    Signed-off-by: Federico Mena Quintero <federico@novell.com>

M	libgnome-desktop/gnome-rr.c

commit 778fcb5b9e9202e5f95b6e8a22074c56d852269a
Author: Federico Mena Quintero <federico@novell.com>
Date:	2009-06-08

    Don't force a reprobe of the RANDR outputs on every RANDR event

    The X server sent us a RANDR event, in fact, because it knows
    the latest
    state of the outputs and it knows that something changed.

    Signed-off-by: Federico Mena Quintero <federico@novell.com>

M	libgnome-desktop/gnome-rr.c

commit 0f889f6f44a9ef38522ad6aa80794d04e0ab4e09
Author: Federico Mena Quintero <federico@novell.com>
Date:	2009-06-08

    Bump the libtool version number as the GnomeRR and GnomeRRConfig
    APIs got extended

    Signed-off-by: Federico Mena Quintero <federico@novell.com>

M	configure.in

commit 5c285b04f5c41b94981696dafef285a007c96823
Author: Federico Mena Quintero <federico@novell.com>
Date:	2009-05-27

    Add gnome_rr_screen_get_timestamps() to query the XRR timestamps

    Gnome-settings-daemon will need these timestamps to distinguish
    between
    RANDR events due to change-requests that it performs itself,
    from events
    due to requests that happened from other clients (or from hotplug
    notifications).

    Signed-off-by: Federico Mena Quintero <federico@novell.com>

M	libgnome-desktop/gnome-rr.c
M	libgnome-desktop/libgnomeui/gnome-rr.h

commit 448e9e2506a2bf6a21176d6bcaada1b1acbf97a9
Author: Federico Mena Quintero <federico@novell.com>
Date:	2009-05-27

    Add _with_time() versions to the GnomeRR and GnomeRRConfig functions
    that change the RANDR configuration

    We used to always pass CurrentTime to XRRSetCrtcConfig(), but we'll
    need to distinguish real timestamps in gnome-settings-daemon.

    Signed-off-by: Federico Mena Quintero <federico@novell.com>

M	libgnome-desktop/gnome-rr-config.c
M	libgnome-desktop/gnome-rr.c
M	libgnome-desktop/libgnomeui/gnome-rr-config.h
M	libgnome-desktop/libgnomeui/gnome-rr.h

commit f177b20dd5ce3d5ab2e1df5f0d453ae01eb923d3
Author: Federico Mena Quintero <federico@novell.com>
Date:	2009-06-08

    Don't ask for RANDR events if the caller doesn't specify a callback

    If the caller of GnomeRR specifies a NULL callback, it means that the
    caller is not interested in RANDR events.  In that case, it is not
    necessary to actually ask the X server for those events, or to
    register
    RANDR's events with GDK.

    This prevents spurious events from being generated by
    gnome-settings-daemon
    and gnome-control-center when they create a temporary GnomeRRScreen
    to save
    the current configuration for backup purposes.

    Signed-off-by: Federico Mena Quintero <federico@novell.com>

M	libgnome-desktop/gnome-rr.c

commit 2290fde44cb2b39aab3e094743aaf5571e3f0dbd
Author: Federico Mena Quintero <federico@novell.com>
Date:	2009-06-08

    Only select for RRScreenChangeNotifyMask, not for the more detailed
    RANDR 1.2 events

    We don't care about property changes on outputs, as we only handle the
    EDID_DATA property.  That property isn't likely to change on an
    output, anyway.

    Then, we don't do anything special when an individual output or CRTC
    changes.  We just care if the screen layout changed in general; in
    that case, we simply re-probe the outputs and call the caller's
    callback.  The X server will emit RRScreenChangeNotify in conjunction
    with the more detailed events, anyway, so we are guaranteed to know
    when things change.

    Signed-off-by: Federico Mena Quintero <federico@novell.com>

M	libgnome-desktop/gnome-rr.c

commit 84543ea065d4c50be617f0bbbe4a9763013ba526
Author: Mattias Põldaru <mahfiaz gmail com>
Date:	2009-06-08

    Updating Estonian translation

M	po/et.po

commit 2ccf6454b796c71ecf61b835e5fd4b610139a662
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-06-04

    [build] Fix po file to pass the commit hook check, again

M	desktop-docs/gpl/sv/sv.po
M	desktop-docs/lgpl/sv/sv.po

commit 95ed87c431670bcb99668d3dd56c6200a990dd0f
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-06-04

    [build] Fix po file to pass the commit hook check

M	desktop-docs/fdl/sv/sv.po

commit e699b9a0a53cbbbe93702ca0107b7d3e1d3373c4
Author: Anousak Souphavanh <anousak@gmail.com>
Date:	2009-05-26

    Add Lao translation

M	po/LINGUAS
A	po/lo.po

commit f233196d86c5217b2051e2e27bd5b14d3a6d2adb
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-05-20

    [release] post-release bump to 2.26.3

M	configure.in

commit d33ed43472879ecdefd67ff01ed6d57b5cf5318f
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-05-20

    [build] Dist ChangeLog.pre-git

M	Makefile.am

commit 9d4715e8e6c788e086813226b429945227d6c04d
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-05-20

    [release] 2.26.2

M	NEWS
M	README
M	configure.in

commit 3e04f3e03d39565696bf9f3f8ea95cf6cc3dc3e3
Author: Ivar Smolin <okul@linux.ee>
Date:	2009-05-17

    Updating Estonian translation

M	po/et.po

commit ce47d06a29efc6ab5628abd1ac1f3fcbc5b7ba62
Author: Jennie Petoumenou <epetoumenou@gmail.com>
Date:	2009-05-09

    Updated Greek translation

M	desktop-docs/fdl/el/el.po

commit 647ba9bc90cbdec032b1c15b122bfa607e867cfd
Author: Simos Xenitellis <simos@gnome.org>
Date:	2009-05-08

    Added el to LINGUAS

M	desktop-docs/fdl/Makefile.am

commit 7670e7bdaef6b2bddf8f7c61eb61ea20c035ed3f
Author: Jennie Petoumenou <epetoumenou@gmail.com>
Date:	2009-05-08

    Added Greek translation

M	desktop-docs/fdl/el/el.po

commit dbd2953d8f847cd8a0cb058392309e5f170d5a02
Author: Jennie Petoumenou <epetoumenou@gmail.com>
Date:	2009-05-08

    Added Greek translation

A	desktop-docs/fdl/el/el.po

commit 1556f925e58e97a007920e6e5376f2c61e90d3c4
Author: Federico Mena Quintero <federico@novell.com>
Date:	2009-05-06

    bgo#556050 - Make GnomeRRLabeler's labels explicitly black

    The labels are always drawn against a light pastel background.
    When using an
    inverse-colored theme (with text nearly white, backgrounds nearly
    black), we
    want GnomeRRLabeler's labels to still be black.  Otherwise, the
    color from
    the theme will be hard to read against the light pastel background
    in the
    per-monitor labels.

    Signed-off-by: Federico Mena Quintero <federico@novell.com>

M	libgnome-desktop/gnome-rr-labeler.c

commit 3f7d64c416f649aecf070e301aef080d4a75abd9
Author: Federico Mena Quintero <federico@novell.com>
Date:	2009-05-06

    ... and use a cheap g_strdup() instead of an undeeded
    g_strdup_printf()

    Signed-off-by: Federico Mena Quintero <federico@novell.com>

M	libgnome-desktop/display-name.c

commit beb0bbddfacb14e3b458fc4c71d5752579037bee
Author: Federico Mena Quintero <federico@novell.com>
Date:	2009-05-06

    RANDR - don't append a newline to monitor vendor names

    This is why Laptop displays would appear taller in both GnomeRRLabeler
    and in
    gnome-display-properties, as they were rendering the extra newline.

    Signed-off-by: Federico Mena Quintero <federico@novell.com>

M	libgnome-desktop/display-name.c

commit 50e0e9b71b9e6052862270a413007f05827bee0d
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-05-02

    Update commit messages instructions

M	ChangeLog

commit c42e29b6e79d55e50f0f5f70b305ad0d2747339c
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-04-27

    Use git.mk from pango to autogenerate .gitignore files

M	Makefile.am
M	desktop-docs/Makefile.am
M	desktop-docs/fdl/Makefile.am
M	desktop-docs/gpl/Makefile.am
M	desktop-docs/lgpl/Makefile.am
M	docs/Makefile.am
M	docs/reference/Makefile.am
M	docs/reference/gnome-desktop/Makefile.am
A	git.mk
M	gnome-about/Makefile.am
M	gnome-about/headers/Makefile.am
M	libgnome-desktop/Makefile.am
M	libgnome-desktop/libgnome/Makefile.am
M	libgnome-desktop/libgnomeui/Makefile.am
M	man/Makefile.am
M	pixmaps/Makefile.am

commit 1072ffce2f4ddd7e5a4310f1e0f288ff6cb8edfb
Author: Felix Riemann <friemann@svn.gnome.org>
Date:	2009-04-30

    Remove unneeded extra steps in path construction

    In some places GnomeDesktopThumbnailFactory uses two steps to generate
    the thumbnail file path. The first produced the path and the second
    appended the filename. This merges the second step into the first.
    This also completes bug #580791.

M	libgnome-desktop/gnome-desktop-thumbnail.c

commit 0d5d98b09950b5a2cdcbff2f2bb38e170cdc89e1
Author: Felix Riemann <friemann@svn.gnome.org>
Date:	2009-04-30

    Let GObject handle the private data structure

    Use GObject to allocate the private data structurue together with
    public structure and automatically deallocate it at object
    destruction.

M	libgnome-desktop/gnome-desktop-thumbnail.c

commit b773db991680ee67b903790fee5c3c9058edcb1c
Author: Felix Riemann <friemann@svn.gnome.org>
Date:	2009-04-30

    Make application name a constant

    Make the application name (used for failed thumbnails) a static
    constant
    to allow sharing it across instances.

M	libgnome-desktop/gnome-desktop-thumbnail.c

commit e64b121a1f37f4ce325d270884726f1b1258a03a
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2009-04-29

    Remove debug spew

M	libgnome-desktop/display-name.c

commit b015e5702c3348b2d02ab5e75c47e5fbe1f2ef41
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2009-04-29

    You never find a hackstack in a needle...

    This makes the display name heuristics work much better and makes
    my monitor not 'Unknown' anymore.

M	libgnome-desktop/display-name.c

commit 3f811a611185a3bdbb6b6d4c19590bd26ae1dc82
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2009-04-28

    Fill out ScreenInfo structs sufficiently without reprobing, too

    This fixes the symptoms described in bug 578111 where rotations
    get lost after applying one rotation. Thanks for Federicos help
    in tracking this down.

M	libgnome-desktop/gnome-rr.c

commit 1c790648991b9a18cc4a4bb9b8907249e04fb768
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-04-27

    Remove .cvsignore files

D	.cvsignore
D	desktop-docs/.cvsignore
D	desktop-docs/fdl/.cvsignore
D	desktop-docs/fdl/es/.cvsignore
D	desktop-docs/fdl/eu/.cvsignore
D	desktop-docs/fdl/fr/.cvsignore
D	desktop-docs/fdl/sv/.cvsignore
D	desktop-docs/fdl/uk/.cvsignore
D	desktop-docs/gpl/.cvsignore
D	desktop-docs/gpl/es/.cvsignore
D	desktop-docs/gpl/eu/.cvsignore
D	desktop-docs/gpl/fi/.cvsignore
D	desktop-docs/gpl/fr/.cvsignore
D	desktop-docs/gpl/pa/.cvsignore
D	desktop-docs/gpl/sv/.cvsignore
D	desktop-docs/gpl/uk/.cvsignore
D	desktop-docs/gpl/zh_CN/.cvsignore
D	desktop-docs/lgpl/.cvsignore
D	desktop-docs/lgpl/es/.cvsignore
D	desktop-docs/lgpl/eu/.cvsignore
D	desktop-docs/lgpl/fr/.cvsignore
D	desktop-docs/lgpl/pa/.cvsignore
D	desktop-docs/lgpl/sv/.cvsignore
D	desktop-docs/lgpl/uk/.cvsignore
D	desktop-docs/lgpl/zh_CN/.cvsignore
D	docs/.cvsignore
D	docs/reference/.cvsignore
D	docs/reference/gnome-desktop/.cvsignore
D	gnome-about/.cvsignore
D	gnome-about/headers/.cvsignore
D	libgnome-desktop/.cvsignore
D	libgnome-desktop/libgnome/.cvsignore
D	libgnome-desktop/libgnomeui/.cvsignore
D	m4/.cvsignore
D	man/.cvsignore
D	pixmaps/.cvsignore
D	po/.cvsignore

commit f14175e23c80c7a9c15e3c74a763846895774fa6
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-04-27

    Remove gnome-feedback files

    We stopped building them a long time ago already...

D	desktop-docs/gnome-feedback/.cvsignore
D	desktop-docs/gnome-feedback/C/gnome-feedback.xml
D	desktop-docs/gnome-feedback/Makefile.am
D	desktop-docs/gnome-feedback/es/.cvsignore
D	desktop-docs/gnome-feedback/es/es.po
D	desktop-docs/gnome-feedback/eu/.cvsignore
D	desktop-docs/gnome-feedback/eu/Makefile.am
D	desktop-docs/gnome-feedback/eu/gnome-feedback-eu.omf
D	desktop-docs/gnome-feedback/eu/gnome-feedback.sgml
D	desktop-docs/gnome-feedback/eu/gnome-feedback.xml
D	desktop-docs/gnome-feedback/fr/.cvsignore
D	desktop-docs/gnome-feedback/fr/fr.po
D	desktop-docs/gnome-feedback/gnome-feedback.omf.in
D	desktop-docs/gnome-feedback/it/.cvsignore
D	desktop-docs/gnome-feedback/it/it.po
D	desktop-docs/gnome-feedback/no/.cvsignore
D	desktop-docs/gnome-feedback/no/Makefile.am
D	desktop-docs/gnome-feedback/no/gnome-feedback-no.omf
D	desktop-docs/gnome-feedback/no/gnome-feedback.sgml
D	desktop-docs/gnome-feedback/oc/oc.po
D	desktop-docs/gnome-feedback/pa/pa.po
D	desktop-docs/gnome-feedback/ru/.cvsignore
D	desktop-docs/gnome-feedback/ru/ru.po
D	desktop-docs/gnome-feedback/sv/.cvsignore
D	desktop-docs/gnome-feedback/sv/sv.po
D	desktop-docs/gnome-feedback/uk/.cvsignore
D	desktop-docs/gnome-feedback/uk/uk.po
D	desktop-docs/gnome-feedback/zh_CN/.cvsignore
D	desktop-docs/gnome-feedback/zh_CN/zh_CN.po

commit 1183c59c673f4b566c7ad789aa292072088be4a4
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-04-27

    Use shave to improve build log readability

    See http://git.lespiau.name/cgit/shave/tree/README for more details.

M	configure.in
M	gnome-about/Makefile.am
A	m4/shave.m4
A	shave-libtool.in
A	shave.in

commit 0bd948a11626b079162ac142ea2884a4e2b78492
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-04-27

    Remove unneeded -D compilation flags

M	libgnome-desktop/Makefile.am

commit 6331af9bda9e1579b240690c906a202faec2b20e
Author: Maxim V. Dziumanenko <dziumanenko@gmail.com>
Date:	2009-04-27

    Updated Ukrainian translation

M	po/uk.po

commit f88d0e2195122b0a8e542a96470dd529cd0b4ade
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-04-26

    Fix doap file to have mail address as URL (mailto:)

M	gnome-desktop.doap

commit 0363bbc43b716862304047a27462027cd87a2933
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-04-24

    Make autogen.sh more modern.

M	autogen.sh

commit 8ad16d0bf6c6fd25810e8abd901410a57070552e
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-04-22

    Add doap file

A	gnome-desktop.doap

commit 39c47cba21ec608b830cdd73cea0267cceec1035
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-04-22

    Rename ChangeLog files to ChangeLog.pre-git

M	ChangeLog
C100	ChangeLog	ChangeLog.pre-git
R100	desktop-docs/ChangeLog	desktop-docs/ChangeLog.pre-git
R100	gnome-about/ChangeLog	gnome-about/ChangeLog.pre-git
R100	libgnome-desktop/ChangeLog	libgnome-desktop/ChangeLog.pre-git
R100	po/ChangeLog	po/ChangeLog.pre-git

commit 113ed28bba6f5aa22c768e88e34e4de6dc2756b1
Author: Miquel Esplà <miquelespla@gmail.com>
Date:	2009-04-21

    Added Valencian-Catalan translation

M	po/LINGUAS
A	po/ca@valencia.po

commit c8d9daebab0fa2490e6f0456184c3e558037513b
Author: Alexander Larsson <alexl@redhat.com>
Date:	2009-04-17

    Preload /gnome/desktop/thumbnails in thumbnail factory

    We will read everything in this directory anyway, so this is a
    performance increase. This also fixes things so that
    /gnome/desktop/thumbnail is add_dir:ed instead of /gnome/desktop which
    is unnecessarily wide.

M	libgnome-desktop/ChangeLog
M	libgnome-desktop/gnome-desktop-thumbnail.c

commit dfabe30bdbf9ab9004a34b4cb8202cf7bb63e614
Author: Alexander Larsson <alexl@src.gnome.org>
Date:	2009-04-16

    Fix up ChangeLog entry

    svn path=/trunk/; revision=5466

M	libgnome-desktop/ChangeLog

commit 7d10be9e4d5a20c5eeaa04cda375868507ac4b54
Author: Alexander Larsson <alexl@redhat.com>
Date:	2009-04-16

    Bug 141557 – Svg backgrounds not scaled correctly

    2009-04-16	Alexander Larsson  <alexl@redhat.com>

	Bug 141557 – Svg backgrounds not scaled correctly

	* gnome-bg.c:
	(get_as_pixbuf):
	When loading an svg, load at the requested zoom level
	instead of resizing after rendering.


    svn path=/trunk/; revision=5465

M	libgnome-desktop/ChangeLog
M	libgnome-desktop/gnome-bg.c

commit 0fed6d8afd3f0743803667b3f8c827729832181b
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-04-13

    post-release bump to 2.26.2

    2009-04-14	Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.26.2

    svn path=/trunk/; revision=5464

M	ChangeLog
M	configure.in
M	desktop-docs/ChangeLog
M	gnome-about/ChangeLog
M	libgnome-desktop/ChangeLog
M	po/ChangeLog
